/*****************************************************************************
 * 
 *  jsMath: Mathematics on the Web
 *  
 *  This jsMath package makes it possible to display mathematics in HTML pages
 *  that are viewable by a wide range of browsers on both the Mac and the IBM PC,
 *  including browsers that don't process MathML.  See
 *  
 *            http://www.math.union.edu/locate/jsMath
 *
 *  for the latest version, and for documentation on how to use jsMath.
 *
 *  Copyright 2004-2007 by Davide P. Cervone
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  
 *****************************************************************************/

if (!window.jsMath) {jsMath = {}}
if (!jsMath.Script) {jsMath.Script = {}}

jsMath.Script.Uncompress = function (data) {
  for (var k = 0; k <  data.length; k++) {
    var d = data[k]; var n = d.length;
    for (var i = 0; i < n; i++) {if (typeof(d[i]) == 'number') {d[i] = d[d[i]]}}
    data[k] = d.join('');
  }
  eval(data.join(''));
}

//start = new Date().getTime();
jsMath.Script.Uncompress([
  ['if(!','window','.','jsMath','||!',1,'.','jsMath.','loaded','){var ','jsMath_old','=',1,'.',3,';',0,'document.','getElementById','||!',17,'childNodes||!',17,'createElement','){','alert("','The',' mathematics ','on this page requires W3C DOM support in its JavaScript. "+"Unfortunately, your ','browser',' doesn\'t seem to have this.");}','else{',1,'.',3,'={version:"3.4c",document:document,',1,':',1,',','platform',':(','navigator.',40,'.match(/','Mac/)?"mac":',42,40,44,'Win/)?"pc":"unix"),sizes:[50,60,70,85,100,120,144,173,207,249],','styles',':{".math','":"font-family',':serif; font-style:normal; font-weight:normal','",".typeset',52,53,'; ','line-height:normal','","div.','typeset','":"text-align',':center; margin:1em 0px;","span.',60,61,':left',54,' span',61,65,'; border:','0px; margin:0px; ','padding:0px','",".typeset .','normal',52,53,73,'size0','":"font-size:','50','%",".typeset .','size1',79,'60',81,'size2',79,'70',81,'size3',79,'85',81,'size4',79,'100',81,'size5',79,'120',81,'size6',79,'144',81,'size7',79,'173',81,'size8',79,'207',81,'size9',79,'249',81,'cmr10',52,':',3,'-cmr10',', serif',73,'cmbx10',52,':',3,'-',125,', ',3,122,73,'cmti10',52,':',3,'-',135,', ',3,122,73,'cmmi10',52,':',3,'-',145,73,'cmsy10',52,':',3,'-',152,73,'cmex10',52,':',3,'-cmex10',73,'textit',52,':serif; ','font-style:italic',73,'textbf',52,':serif; font-weight:bold',73,'link":"','text-decoration:none',73,'error',79,'10pt; ',168,'; "+"','background-color',':#FFFFCC; padding:1px',181,'border:','1px solid',' #CC0000',73,'blank','":"','display:inline-block','; ','overflow:hidden',70,'0px none; width:0px','; height:','0px;",".',60,' .','spacer','":"',191,'","#jsMath_hiddenSpan":"','visibility',':','hidden','; ','position:absolute','; top:0px',';left:0px',181,58,'; text-indent:0px","#','jsMath_message','":"','position:fixed','; bottom:','1px; left:2px; ',182,':#E6E6E6','; "+"border:solid 1px #959595; margin:0px; padding:','1px 8px','; "+"z-index:102; color',': black','; font-size:','small; ','width:auto',';","#','jsMath_panel','":"',216,217,'1.5em; right:1.5em','; padding:.8em 1.6em',181,182,':#DDDDDD',70,'outset 2px',181,'z-index:103; ',227,'; color:black',225,'10pt; font-style:normal","#',229,' .disabled":"color:#888888","#',229,' .infoLink',79,'85%","#',229,' *":"','font-size:inherit; font-style:inherit; font-family:inherit','; ',58,'","#',229,' div":"',182,':inherit; color:inherit;","#',229,' span":"',182,261,229,' td','":"border:0px; padding:0px; margin:0px; background-color:inherit; color:inherit;","#',229,' tr',268,229,' table',268,'jsMath_button','":"',216,217,'1px; right:2px; ',182,':white',221,'0px 3px 1px 3px',223,':black; ',175,225,'x-small',181,227,'; cursor:hand;","#',275,253,72,70,71,58,181,254,'","#jsMath_global":"',168,';","#jsMath_float','":"',208,209,'; left:0px; max-width:80%; "+"z-index:101; ',227,'; height:auto',302,' .drag":"',182,':#DDDDDD',70,'outset 1px',196,'12px',225,'1px',302,' .close":"',182,220,70,'inset 1px; width:8px',196,'8px; margin:1px 2px',302,' .source":"',182,':#E2E2E2',70,314,181,227,308,'; padding:8px 15px',181,'font-family:courier, fixed',225,'90%","#jsMath_noFont .message',61,': center',234,70,'3px solid #DD0000',181,182,':#FFF8F8; color: #AA0000',225,226,227,228,'jsMath_noFont .link','":"',72,' 5px 2px 5px',70,'2px outset; ',182,':#E8E8E8',181,'color:black',225,'80%; ',227,291,'jsMath_PrintWarning',' .message',61,':center',234,70,'3px solid #DD0000',181,182,': #FFF8F8; color: #AA0000',225,'x-',226,227,';","@media print":"#',275,' {display:none','}\\n"+"#jsMath_Warning',383,'}","@media screen":"#',367,383,'}"},Element',':function(','_1){return ',7,17,18,'("jsMath_"+_1);},','BBoxFor',390,'s','){this.','hidden.innerHTML','="<nobr><','span class=\\"',60,'\\"><',402,'scale\\">"+s+"</span></span></nobr>";var _3={w:this.',206,'.offsetWidth',',h:this.',206,'.offsetHeight','};this.',400,'="";return _3;},EmBoxFor',390,'s',9,'_5=',7,'Global.cache','.R;',0,'_5[this.em]){_5[this.em]={};}',0,'_5','[this.em][s',']){var _6','=this.BBoxFor','(s);_5',426,']={w:_6.w/this.em,h:_6','.h/this.em};}return ','_5',426,'];},','EmBoxForItalics',390,'s',9,'_8=',7,420,'.R;',0,'_8[this.em]){_8[this.em]={};}',0,'_8',426,']){var _9',428,'(s);if(s.match(/<i>|class=\\"(icm|italic|igreek|iaccent)/i)){_9.w',428,'(s+',7,'Browser.','italicString',').w-',7,455,'italicCorrection',';}_8',426,']={w:_9.w/this.em,h:_9',432,'_8',426,'];},Init',':function(){','if(',7,'Setup.inited','!=1){',0,7,471,'){',7,'Setup.','Body();}if(',7,471,'!=1){if(',7,471,'==-100','){return;}',25,'It looks like ',3,' failed to set up properly (error code "+',7,471,'+").  "+"I will try to keep going, but it could get ugly.");',7,471,'=1;}}this.em',428,'("<span style=\\""+',7,455,'block+";','width:13em;height:1em','\\"></span','>").w/13;if(this.em==0',399,'em',428,'("<img src=\\""+',7,189,'+"\\" style=\\"',502,'\\"/>").w/13;}var _a=',7,420,'.B;',0,'_a[this.em]){_a[this.em]={};','_a[this.em].','bb',428,'("x");var hh=',519,'bb.h;',519,'d',428,'("x"+',7,'HTML.Rule(1,','hh/',7,'em)).h-hh;if(',7,455,456,'){',519,'ic=',7,396,'(',7,455,456,').w;}}',7,455,460,'=',519,'ic;var bb=',519,'bb;var h=bb.h;var d=',519,'d;this.h=(h-d)/this.em;this.d=d/this.em;this.hd=this.h+this.d;this.xWidth=bb.w;this.',478,'TeXfonts','();var _f=this.EmBoxFor("<',402,118,'\\">M</span>").w/2;this.TeX.M_height=_f*(26/14);this.TeX.h=this.h;this.TeX.d=this.d;this.TeX.hd=this.hd;this.Img.Scale();',0,'this.initialized',399,478,'Sizes','();this.','Img.UpdateFonts();}this.p_height=(','this.TeX.cmex10[0].','h+',570,'d)/0.85;',564,'=1;},ReInit',468,'var w',428,'("x").w;if(w!=this.xWidth',399,'Init();}},Loaded',468,'if(',10,9,'_11=["Process","ProcessBeforeShowing","ConvertTeX","ConvertTeX2","ConvertLaTeX","ConvertCustom","CustomSearch","Synchronize","Macro","document"];','for(var i=0;i<','_11','.length;i++){if(',10,'[_11[i]]){delete ',10,'[_11[i]];}}}if(',10,'){this.Insert(',3,',',10,');}',10,'=null;',7,8,'=1;},Add',390,'dst,src){for(var id in src){','dst[id]=src[id','];}},Insert',390,606,'if(dst[id]&&typeof (src[id])=="object"&&(','typeof (dst[id])=="','object"||',612,'function")){this.Insert(dst[id],src[id]);}',31,607,'];}}},Package',390,'obj,def',595,'obj.prototype,def);}};',7,'Global={isLocal:1,cache:{','T:{},D:{},R:{},B',':{}},ClearCache',468,7,420,'={',625,':{}};},GoGlobal',390,'_1b',9,'url=String(',7,1,'.','location);','var c=(',7,'isCHMmode','?"#":"?");if(_1b){url=url.replace(/\\?.*/,"")+"?"+_1b;}',7,'Controls.','Reload(',7,'root+"',3,'-global.html"+c+escape(url));},Init',468,'if(',7,'Controls.cookie.','global=="always"&&!',7,'noGoGlobal','){','if(navigator.','accentColorName',486,0,7,1,'){',7,1,'=',1,';}',7,646,8,'=1;',7,646,'defaults.hiddenGlobal',601,'this.GoGlobal(',7,646,'SetCookie(2));}},Register',468,'var _1e=',7,1,'.parent;',0,7,'isCHMode){',7,643,'=(',7,1,'.','location.protocol','=="mk:");}try{',0,7,643,399,'Domain();}if(_1e.',3,'&&_1e.',7,'isGlobal){_1e.',7,'Register(',7,1,');}}','catch(err){',7,658,'=1;}},Domain',468,660,'appName=="Microsoft Internet Explorer"&&',7,40,'=="mac"&&',42,'userProfile','!=null',486,'if(',1,'==parent',486,'var _1f=',7,17,'domain;try{while(true){try{if(parent.',17,'title',726,'){return;}}','catch(err){}',0,17,'domain.match(/\\..*\\./)){break;}',7,17,'domain=',7,17,'domain.replace(/^[^.]*\\./,"");}}',740,7,17,746,'_1f;}};',7,'Script={request:null,Init',468,'if(!(',7,655,'asynch&&',7,655,'progress',')){if(',1,'.XMLHttpRequest','){try{','this.request','=new XMLHttpRequest;}catch(err){}}',0,769,'&&',1,'.','ActiveXObject',9,'xml=["MSXML2.XMLHTTP.5','.0","MSXML2.XMLHTTP','.4',779,'.3',779,'","Microsoft.XMLHTTP"];',587,'xml.length&&!',769,';i++){try{',769,'=new ',776,'(xml[i]);}catch(err){}}}}',0,769,'||',7,478,'domainChanged',399,'Load=this.delayedLoad;this.needsBody=1;}},Load',390,'url,_23){if(_23){',7,'Message.Set("Loading "+url);',7,'Script.','Delay(1);',7,'Script.Push(','this,"xmlRequest",url',');',7,809,7,'Message',',"Clear");}',31,7,809,810,');}},xmlRequest',390,'url){','this.blocking','=1;try{',769,'.open("GET",url,false);',769,'.send(null);}',714,824,'=0;if(',7,'Translate.','restart&&',7,'Translate.asynchronous){return "";}throw "jsMath can\'t load the file \'"+url+"\'\\n"+"',815,': "+err.message;}if(',769,'.status','&&',769,841,'>=400){',824,832,7,834,'restart&&',7,837,'Error status: "+',769,841,';}',0,'url.match(/\\.js$/)){','return (',769,'.responseText',');}var _25=','this.queue',';',863,'=[];',7,1,'.eval(',769,861,');',824,'=0;','this.queue=this.queue.concat(','_25);this.Process();return "";},cancelTimeout:30*1000,iframe:null,blocking:0,cancelTimer:null,needsBody:0,queue:[],Synchronize',390,'_26,_27){','if(typeof (','_26)!="string"){',7,809,'null,_26,_27);}',31,7,809,7,1,',"eval",_26);}},Push',390,'_28,_29,_2a){',863,'[',863,'.length]=[_28,_29,_2a];if(!(',824,'||(this.needsBody&&!',7,17,'body))){this.Process();}},Process',468,'while(',863,'.length&&!',824,9,'_2b=',863,'[0];var _2c=',863,'.slice(1);',863,'=[];var _2d=_2b[0];var _2e=_2b[1];var _2f=_2b[2];if(_2d){_2d[_2e](_2f);}',31,'if(_2e){_2e(_2f);}}',875,'_2c);}},delayedLoad',390,'url',399,'Push(this,"startLoad",url);},startLoad',390,'url){','this.iframe','=',7,17,23,'("iframe");','this.iframe.style.',204,'="',206,'";',930,'position="absolute";',930,'width="0px";',930,'height="0px";if(',7,17,'body.firstChild','){',7,17,'body.insertBefore(',924,',',7,17,943,');}',31,7,17,'body','.appendChild(',924,');}',824,'=1;this.','url=url;',0,858,924,'.src=url;}',31,924,'.src=',7,649,3,'-loader.html";}if(url.substr(0,',7,'root.length',')==',7,'root){url=url.substr(',7,976,');}',7,804,'this.cancelTimer','=setTimeout("',7,806,'cancelLoad','()",this.cancelTimeout);},endLoad',390,'_32){if(',985,'){clearTimeout(',985,');',985,'=null;}',7,815,'.Clear();if(_32!="cancel"){',824,'=0;this.Process','();}},Start',468,'this.tmpQueue','=',863,';',863,'=[];},End',468,875,1006,');delete ',1006,';},',989,468,985,601,7,815,'.Set("Can\'t load file");this.endLoad("cancel");},Delay',390,'_33){',824,'=1;setTimeout("',7,806,'endDelay','()",_33);},',1031,468,824,1003,'();},','imageCount',':0,WaitForImage',390,'_34){',824,962,1038,'++;if(this.img==null',399,'img=[];}var img=new Image',568,'img[this.img.length]=img;img.onload=function(){if(--',7,806,1038,'==0){',7,806,1031,'();}};img.onerror','=img.onload;img.','onabort',1058,'src=_34;},Uncompress',390,'_36){','for(var k=0;k<','_36.length;k++){var d=_36[k];var n=d.length;',587,'n;i++){',879,'d[i])=="number"){d[i]=d[d[i]];}}_36[k]=d.join("");}',1,869,'_36.join(""));}};',7,815,'={',189,':null,message:null,text:null,clear:null,Init',468,0,7,17,'body||!',7,655,764,486,'if(',7,478,'stylesReady){','this.message','=',7,'Setup.DIV("message",{visibility:"hidden','"});}',31,1091,'=',7,1094,'",position:"absolute",','bottom:"1px",left:"2px",','backgroundColor',':"#E6E6E6",border:"solid 1px #959595",margin:"0px",padding:"1px 8px",zIndex:102,color:"black",fontSize:"small",width:"auto"});}','this.text','=',7,17,'createTextNode','("");',1091,958,1105,');',1091,'.onmousedown=',7,834,'Cancel;},Set',390,'_3b,_3c){','if(this.clear){clearTimeout(this.clear',');','this.clear',998,'if(',7,655,764,'){',0,1105,399,'Init();',0,1105,739,'if(',7,455,'textNodeBug','){',1091,'.innerHTML','=_3b;}',31,1105,'.nodeValue',1145,'this.message.style.',204,'="visible";if(_3c){',1150,'cursor="pointer";',0,1150,'cursor){',1150,'cursor="hand";}',1091,'.title=" Cancel Processing of Math ";}',31,1150,'cursor="";',1091,'.title="";}}',31,'if(_3b.substr(0,8)!="Loading "){',7,1,841,'=_3b;}}},Clear',468,1122,');}',1124,'=setTimeout("',7,815,'.doClear()",1000);},doClear',468,'if(',1124,399,'clear',601,7,1,841,'="";if(',1105,'){',1105,1148,'="";}if(',1091,'){',1150,204,'="',206,'";}}},Blank',468,'if(','this.blank','||!',7,17,'body',486,1205,'=',7,478,'DIV("',189,'",{position:(',7,455,'msiePositionFixedBug','?"absolute":"fixed"),top:"0px",left:"0px",bottom:"0px",right:"0px",zIndex:101,',1103,':"white"});if(',7,455,'msieBlankBug','){',1205,1144,'="&nbsp;";',1205,'.style.width="110%";',1205,'.style.height="110%";}},UnBlank',468,'if(',1205,'){',7,17,'body.removeChild(',1205,');}',1205,'=null;}};',7,'Setup={',8,':[],DIV',390,'id,_3e',9,'div=',7,17,23,'("div");div.id="jsMath_"+id;','for(var i in ','_3e){div.style[i]=_3e[i];}',0,7,17,'body.hasChildNodes){',7,17,'body',958,'div);}',31,7,17,947,'div,',7,17,943,');}return div;},Script',390,'_41,_42){if(','this.loaded[_41',']){return;}',31,1280,']=1;}',0,'_41.match("^([a-zA-Z]+:/?)?/")){_41=',7,'root+_41;}',7,806,'Load(_41,_42);},Hidden',468,7,206,'=this.DIV("Hidden",{',204,':"',206,1101,'top:0,left:0,border:0,padding:0,margin:0});',7,'hiddenTop=',7,206,';return;},Source',468,'if(',7,'Autoload&&',7,'Autoload.root','){',7,'root=',7,1311,';}',31,7,'root="";var _43=',7,17,'getElementsByTagName("','script");if(_43){',587,'_43','.length;i++){var ','src=_43[i].src;if(src&&src.match("(^|/)',7,'js$")){',7,1314,'src.','replace(/',7,'js$/,"");i=_43.length;}}}}if(',7,'root.charAt(0)=="/"){',7,1314,7,17,698,'+"//"+',7,17,'location.host+',7,'root;}',31,0,7,'root.match','(/^[a-z]+:/i)){src','=new String(',7,17,640,7,1314,'src','.replace(new RegExp','("[^/]*$"),"")+',7,'root;while(',7,1353,'("/[^/]*/\\\\.\\\\./")){',7,1314,7,'root',1362,'("/[^/]*/\\\\.\\\\./"),"/");}}}',7,'Img.',1314,7,649,'fonts/";',7,189,'=',7,649,189,'.gif";this.Domain();},Domain',468,'try{',7,17,'domain;}catch(err',486,'var _46="";var _47=',7,17,'domain;if(',7,1353,'("://([^/]*)/")){_46=RegExp.$1;}_46=_46.replace(/:\\d+$/,"");if(_46==""||_46==_47',486,660,'appName=="Microsoft Internet Explorer"&&',7,40,'=="mac"&&',42,'onLine&&',42,725,'&&',7,17,'all',486,'_46=_46.split(/\\./);_47=_47.split(/\\./);if(_46.length<2||_47.length<2||','_46[_46.length-','1',']!=_47[_47.length-','1]||',1417,'2',1419,'2]){this.','DomainWarning','();return;}var _48=',1417,'2]+"."+',1417,'1];for(var i=3;i<=_46.length&&i<=_47',589,1417,'i',1419,'i]){break;}_48=',1417,'i]+"."+_48;}',7,17,746,'_48;this.',798,'=1;},',1425,468,25,'In order for ',3,' to be able to load the additional "+"components that it may need, the ',7,'js file must be "+"',8,' from a server in the same domain as the page that "+"contains it.  Because that is not the case for this page, "+"the',27,'displayed here may not appear correctly.");},','EncodeFont',390,'_4a',9,'_4b=',7,'TeX[_4a];if(_4b[0].c',726,486,1064,'128;k++){var _4d=_4b[k];_4b[k]=_4d[3];if(_4b[k]==null){_4b[k]={};}_4b[k].w=_4d[0];_4b[k].h=_4d[1];if(_4d[2]!=null){_4b[k].d=_4d[2];}_4b[k].c=',7,'TeX.encoding[k];}},Fonts',468,587,7,'TeX.fam',1327,'_4f=',7,1472,'[i];if(_4f',399,1456,'(_4f);}}},TeXfont',390,'_50',9,'_51=',7,'TeX[_50];if(_51==null',486,'var WH=',7,'EmBoxFor("<span class=\\""+_50+"\\">"+_51[65].c','+"</span>");_51.hd=WH.h;_51.dh=0.05;_51.d=',7,1490,'+',7,530,'_51.hd)+"</span>").h-_51.hd;_51.h=_51.hd-_51.d;','if(_50=="',145,'"){_51.skewchar=','127;}',31,1498,152,1500,'48;}}},',558,468,587,7,1472,589,7,1472,'[i]){this.TeXfont(',7,1472,'[i]);}}},Sizes',468,7,'TeXparams','=[];for(var j=0;j<',7,'sizes.length;j++){',7,1521,'[j]={};}',1258,7,'TeX){',879,7,'TeX[i])!="object"){for(var j=0;j<',7,'sizes.length;j++){',7,1521,'[j][i]=',7,'sizes[j]*',7,'TeX[i]/100;}}}},Styles',390,'_57){',0,'_57){_57=',7,50,';_57[".',60,' .scale"]="font-size:"+',7,655,'scale+"%";this.stylesReady=1;}',7,809,'this,"','AddStyleSheet','",_57);if(',7,455,'styleChangeDelay','){',7,809,7,'Script,"Delay",1);}},',1558,390,'_58',9,'_59=',7,17,1323,'head")[0];var _5a="";for(var id in _58){_5a+=id+" {"+_58[id]+"}\\n";}if(',7,17,'createStyleSheet){_59.insertAdjacentHTML("beforeEnd","<span',' style=\\"','display:none\\">x</span>"+"<style type=\\"text/css\\">"+_5a+"</style>");}',31,'var _5c=',7,17,23,'("style");_5c.type="text/css";_5c',958,7,17,1109,'(_5a));_59',958,'_5c);}},Body',468,'if(this.inited',486,'this.inited=-','1;',7,478,'Hidden();',1598,'2;',7,455,1134,1598,'3;if(',7,655,189,'){',7,815,'.Blank();}',1598,'4;',7,478,'Styles();',1598,'5;',7,646,1134,1598,'6;',7,809,7,'Setup,"User","pre-font");',1598,'7;',7,809,7,'Font,"Check");if(',7,'Font.register.length){',7,809,7,'Font,"LoadRegistered");}this.inited=1;},User',390,'_5d){if(',7,'Setup.UserEvent[_5d',']){(',7,1648,'])();}},UserEvent:{"pre-font":null,"onload":null}};',7,'Update={',558,390,'_5e){for(var ','_5f in ',1657,'_60 in _5e[_5f]){for(var id in _5e[_5f][_60]){',7,'TeX[_5f][_60][id]=_5e[_5f][_60][id];}}}},TeXfontCodes',390,'_62){for(var _63 in _62){',587,'_62[_63].length;i++){',7,'TeX[_63][i].c=_62[_63][i];}}}};',7,'Browser={allowAbsolute:1,allowAbsoluteDelim:0,separateSkips:0,valignBug:0,operaHiddenFix:"",','msieCenterBugFix',':"",','msieInlineBlockFix',':"",','msieSpaceFix',':"",imgScale:1,renameOK:1,',1562,':0,delay:1,version:0,','TestSpanHeight',468,7,400,'="<span','><','span style=\\""+this.block+";','height:2em;width:','1px',503,'></span>";var ','_65=',7,'hidden.firstChild;','var img=_65.firstChild;','this.spanHeightVaries','=(_65',411,'>=img',411,'&&_65',411,'>0);','this.spanHeightTooBig','=(_65',411,'>img',411,');',7,400,'="";},','TestInlineBlock',468,'this.block','="display:-moz-inline-box";','this.hasInlineBlock','=',7,'BBoxFor("<span style=\\""+this.block+";','width:10px;height:5px\\"></span>").w>0;if','(',1715,'){',7,'styles[".typeset .',189,'"]=',7,1724,189,'"].replace(/',191,'/,',1713,');',7,1724,200,'"]=',7,1724,200,1730,191,'/,"");}',31,1713,'="',191,'";',1715,'=',7,1718,1719,'(!',1715,739,1713,'+=";',193,'";var h=',7,396,'("x").h;this.mozInlineBlockBug=',7,1718,'height:"+h+"px;width:1px',503,'>x"+"<',1685,1767,';vertical-align:-"+h+"px',503,'>").h>2*h;this.widthAddsBorder=',7,1718,193,';height:1px;width:10px',';border-left:','10px solid',503,'>").w>10;','this.msieBorderBug','=',7,1718,1767,503,'>x").h!=',7,1718,1767,1779,186,503,'>x").h;this.blankWidthBug=',1783,'||',7,1718,1686,'0px',503,'>").h==0;},','TestRenameOK',468,7,400,1683,1689,'_68=',7,1692,'_68.setAttribute("name","','jsMath_test','");this.renameOK=(',7,17,'getElementsByName("',1815,'").length>0);',7,400,1710,'TestStyleChange',468,7,400,1683,' ID=\\"',1815,'\\">x</span>";var _69=',7,1692,'var w=_69',408,';',7,478,1558,'({"#',1815,79,'200%"});this.',1562,'=(_69',408,'==w);',7,400,1710,'VersionAtLeast',390,'v',9,'bv',1355,'this.version',').split(".");','v',1355,'v',1859,'if(v[1]==null){v[1]="0";}return bv[0]>v[0]||(bv[0]==v[0]&&bv[1]>=v[1]);},Init',468,7,29,'="unknown";this.',1711,568,1679,568,1805,568,1825,568,'MSIE',568,'Mozilla',568,'Opera',568,'OmniWeb',568,'Safari',568,'Konqueror','();if(','this.allowAbsoluteDelim','){',7,'Box.DelimExtend=',7,'Box.DelimExtendAbsolute;',7,'Box.Layout=',7,'Box.LayoutAbsolute;}',31,7,'Box.DelimExtend=',7,'Box.DelimExtendRelative;',7,'Box.Layout=',7,'Box.LayoutRelative;}if(','this.separateSkips','){',7,'HTML.Place=',7,'HTML.','PlaceSeparateSkips',';',7,'Typeset.prototype.','Place=',7,1917,1914,';}},MSIE',468,'if(',1694,'&&!',1702,'){',7,29,'="MSIE";if(',7,40,'=="pc"){this.','IE7=(',1,767,726,');this.quirks=(',7,17,'compatMode=="BackCompat");',1889,'=1;',1908,'=1',';this.buttonCheck=1;this.',1226,'=1;this.msieDivWidthBug=1;this.',1220,962,'msieIntegralBug',962,'waitForImages',962,'msieAlphaBug=!','this.IE7',';this.','alphaPrintBug','=!',1957,';this.',1671,'="position:relative; ";this.',1673,'=" ',191,';";',0,1957,399,1675,1683,1580,191,503,'>";}',7,'Macro("joinrel","\\\\mathrel{\\\\kern-5mu}"),',7,1724,'arial"]="font-family: \'Arial unicode MS\'";',0,1957,'||this.quirks){',7,'styles["#',214,'"]=',7,1987,214,1730,216,'/,"',208,'").',1334,227,'/,"");',7,1987,229,'"]=',7,1987,229,1730,216,'/,"',208,'").',1334,227,'/,"");',7,1987,275,'"]="width:','1px; "+',7,1987,275,1730,216,'/,"',208,'").',1334,227,'/,"");',7,1,'.attachEvent("','onscroll",',7,646,'MoveButton',');if(',1957,'){',7,1,2034,'onresize",',7,646,2038,');}this.msieMoveButtonHack=',1957,';}',7,1987,353,'"]+=" ','display: inline-block',';";',7,1724,200,'"]=',7,1724,200,1730,191,'/,"");',7,50,'[".tex2math_div"]=',7,50,'["div.',60,'"]+"; width: 100%; ',2056,'";if(','screen.deviceXDPI','&&','screen.logicalXDPI','&&',2078,'!=',2080,399,'imgScale*=',2080,'/',2078,';',7,655,'alpha=0;}this.',456,'="<i>x</i>";',7,'EmBoxFor=',7,436,';}',31,'if(',7,40,'=="mac"){this.msieAbsoluteBug',962,'msieButtonBug',1949,1226,962,'quirks=1;',7,478,'Script("',3,'-msie-mac.js");',7,'Parser.prototype.macros.angle=["Replace","ord","<font face=\\"Symbol\\">&#x8B;</font>","normal"];',7,1987,229,2019,'42em; "+',7,1987,229,1730,227,'/,"");',7,655,'printwarn=0;}}',7,'Macro("not","\\\\mathrel{\\\\rlap{\\\\kern3mu','/}}");}},',1879,468,'if(',7,206,'.ATTRIBUTE_NODE){',7,29,'="',1879,'";if(',7,40,1934,1959,'=1;}',1889,'=1;',7,1987,275,'"]=',7,1987,275,1730,'cursor:hand','/,"cursor:pointer");',7,1987,353,'"]=',7,1987,353,1730,2162,'/,"cursor:pointer");',7,2134,'/}}");',660,'vendor=="Firefox"){',1858,'=',42,'vendorSub;}',31,660,'userAgent.match','(" Firefox/([0-9.]+)( |$)")){',1858,'=RegExp.$1;}}}},',1883,468,660,'accentColorName){',7,29,'="',1883,'";','this.allowAbsolute','=',1715,';',1889,'=',2198,';this.valignBug=!',2198,1947,1141,'=1;',7,'noChangeGlobal=1;',0,1715,'){',7,'Setup.Script("jsMath-old-browsers.js','");}}},Opera',468,'if(',1702,'){',7,29,'="Opera";var _6d=',42,2185,'("Opera 7");',2198,'=0;this.delay=10;this.operaHiddenFix="[Processing]";if(_6d){',7,2216,'");}}},Safari',468,660,'appVersion',44,'Safari\\//)){',7,29,'="Safari";var _6e=',42,2185,'("Safari/([0-9]+)");_6e=(_6e)?_6e[1]:400;',587,7,1472,589,7,1472,'[i]&&',7,'TeX[',7,1472,'[i]]){',7,'TeX[',7,1472,'[i]].dh=0.1;}}',7,'TeX.axis_height+=0.05;',7,'TeX.default_rule_thickness+=0.025;',1889,'=_6e>=125;this.safariIFRAMEbug=_6e>=312&&_6e<412;this.safariButtonBug=_6e<412;this.safariImgBug',962,1141,'=1',1947,1562,'=1;}},',1887,468,660,'product&&',42,'product.match("',1887,'")){',7,29,'="',1887,'";',2198,'=0;',1889,'=0;',660,2185,'(/',1887,'\\/(\\d+)\\.(\\d+)/)){if(RegExp.$1<3||(RegExp.$1==3&&RegExp.$2<3)){',1908,962,'valignBug=1;',7,2216,'");}}',7,'Add(',7,50,',{".',60,' .',118,52,': ','jsMath-cmr10, jsMath cmr10',', serif',73,125,52,': ',3,'-',125,', ',3,' ',125,', ',2311,73,135,52,': ',3,'-',135,', ',3,' ',135,', ',2311,73,145,52,': ',3,'-',145,', ',3,' ',145,73,152,52,': ',3,'-',152,', ',3,' ',152,73,159,52,': ',3,163,', ',3,' ',159,'"});',7,'Font.testFont="',3,163,', ',3,' ',159,'";}}};',7,'Font={testFont:"',3,163,'",fallback:"symbol",register:[],message:"<b>No ',3,' TeX fonts found</b> -- using',' image fonts instead','.<br/>\\n"+"These',' may be slow and might not print well.<br/>\\n"+"Use the jsMath control panel to get additional information.",','extra_message:"Extra TeX fonts not found: <b><span id=\\"jsMath_ExtraFonts',503,'></b><br/>"+"Using',2388,'.  This',2390,'print_message:"To print higher-resolution math symbols, click the<br/>\\n"+"<b>Hi-Res Fonts for Printing</b> button on the ',3,' control panel.<br/>\\n",','alpha_message:"If the math symbols print as black boxes, turn off <b>image alpha channels</b><br/>\\n"+"using the <B>Options</B> pane of the ',3,2399,'Test1',390,'_70,n,_72,_73','){if(n==null){n=124;}if(','_72==null){_72=2;}if(_73==null){_73="";}var wh1=',7,'BBoxFor("<span style=\\"font-family',': "+_73+_70+", serif\\">"+',7,'TeX[_70][n].c+"</span>");','var wh2=',7,2409,': serif\\">"+',7,2412,859,'wh1.w>_72*wh2.w&&wh1.h!=0);},Test2',390,'_76,n,_78,_79',2406,'_78==null){_78=2;}if(_79==null){_79="";}var'],
  [' wh1=','jsMath.','BBoxFor("<span style=\\"font-family',': "+','_79+_76','+", serif','\\">"+',1,'TeX[_76][n','].c+"</span>");','var wh2=',1,2,': serif',6,1,'TeX[_76][n',9,'return (wh2.w>_78*wh1.w&&wh1.h!=0);},CheckTeX',':function','(){var ','wh=',1,2,3,1,'Font.','testFont',5,6,1,'TeX.cmex10[1',9,1,'nofonts=((wh.w*3>wh.h||wh.h==0)&&!this.Test1("cmr10','",null,null,"jsMath-"));if(',1,'nofonts&&(',1,'platform','!="mac"||',1,'browser!="Mozilla"||!',1,'Browser.','VersionAtLeast(1.5))){wh=',1,2,': cmex10, serif',6,1,'TeX.cmex10[1',9,1,34,'"));if(!',1,'nofonts){',1,'Setup.Script("jsMath-','BaKoMa-fonts.js");}}},Check',19,20,'_7d=',1,'Controls.','cookie;this.CheckTeX();if(',1,57,'if(_7d.autofont','||_7d','.font=="tex"){','_7d.font','=this.','fallback',';if(_7d.warn){',1,'nofontMessage=1;_7d.warn=0;',1,65,'SetCookie(0);if','(',1,'window.NoFontMessage','){',1,83,'();}else{','this.Message(this.','message);}}}}else{',69,'){',72,'="tex";}if(_7d',71,'return;}}if(',1,'noImgFonts){',72,'="unicode";}if(',72,'=="unicode"){',1,59,74,'-"+',1,39,'+".js");',1,'Box.TeXnonfallback=',1,'Box.TeX',';',1,112,'=',1,'Box.TeXfallback;return;}','if(!_7d.print&&_7d.printwarn){this.','PrintMessage','((',1,44,'alphaPrintBug&&',1,65,'cookie.alpha)?','this.print_message','+this.alpha_message:',128,');}if(',1,44,'waitForImages){',1,'Script.','Push(',1,'Script,"WaitForImage",',1,'blank',131,72,'=="symbol"){',1,59,74,'-symbols.js");',1,'Box.TeXnonfallback=',1,112,';',1,112,'=',1,118,1,'Img.SetFont','({cmr10',':["all"],','cmmi10',162,'cmsy10',162,'cmex10',162,'cmbx10',162,'cmti10:["all"]});',1,'Img.LoadFont','("cm-fonts");},Message',19,'(_7e','){if(',1,'Element("','Warning','")){','return;}var ','div=',1,'Setup.DIV("',180,'",{});div.innerHTML="<center><table><tr><td>"+"<div ','id=\\"jsMath_noFont\\"><div ','class=\\"message\\">"+','_7e+"<div style=\\"text-align:left\\"><span style=\\"float:left; margin: 8px 0px 0px 20px\\">"+"<span onclick=\\"',1,65,'Panel','()\\" title=\\" ','Open the ','jsMath Control Panel',' \\" class=\\"link\\">',196,'</span>"+"</span','><span style=\\"margin: 8px 20px 0px 0px; float:right\\">"+"<span onclick=\\"',1,26,'HideMessage',194,'Remove this font warning message',197,'Hide this Message',199,'></div><div style=\\"height:6px\\"></div><br clear=\\"all\\"/></div></','div>"+"<div style=\\"width:22em; height:1px\\"></div>"+"</td></tr></table></center><hr/>";},',203,19,20,'_80=',1,179,180,'");if(_80){_80','.style.display="none";}},',120,19,'(_81',177,1,179,'PrintWarning',181,182,'div=',1,185,226,187,189,'_81+"</',210,'Register',19,'(_83,_84',177,'typeof (_83)=="string"){_83={name:_83};}if(!',1,'Setup.inited','&&!_84){','this.register','[',245,'.length]=_83;',182,'_85=_83.name;var _86=_85.replace(/10$/,"");var _87=',1,'TeX.fam.length;if(','_83.prefix','==null){',253,'="";}if(!_83.style){_83.style="font-family',3,253,'+_85',5,'";}if(!_83.styles){_83.styles={};}if(!_83.macros){_83.macros={};}',1,'TeX.fam[_87]=_85;',1,'TeX.famName[_85]=_87;_83.macros[_86]=["HandleFont",_87];',1,'Add(',1,'Parser.prototype.macros,_83.macros);_83.styles[".typeset ."+_85]=_83.style;',1,'Setup.Styles(_83.styles);if(',1,'initialized){',1,136,'Push(',1,'Setup,"TeXfont",_85);}var _88=',1,65,'cookie;var _89=!',1,'nofonts&&_83.test(_85,_83.testChar,_83.testFactor,',253,');if(_89&&_88',71,'if(_83.','tex){_83.tex(_85,_87,_83);}return;}if(!_89&&_88.warn&&_88.font=="tex"&&!',1,57,'if(!_88.fonts.match("/"+_85+"/")){_88.fonts+=_85+"/";',1,65,80,'(!',1,179,180,181,88,'extra_message);}var _8a=',1,179,'ExtraFonts");if(_8a',177,'_8a.innerHTML','!=""){',306,'+=",";}',306,'+=" "+',253,'+_85;}}}if(_88.font=="unicode"||',1,97,287,74,'){_83.',74,'(_85,_87,_83);}',182,'_8b={};_8b[_85]=["all"];',1,160,'(_8b);',1,173,'(_85);if(',1,'initialized){',1,136,'Push(',1,'Img,"Scale");',1,136,'Push(',1,'Img,"UpdateFonts");}},LoadRegistered',19,20,'i=0;while(i<',245,'.length){this.',237,'(',245,'[i++],1);}',245,'=[];},Load',19,'(_8d){',1,'Setup.Script(this.URL(_8d));},URL',19,'(_8e){return ',1,'Img.root+_8e+"/def.js";}};',1,'Controls={cookie:{scale:100,font:"tex",autofont:1,scaleImg:0,alpha:1,warn:1,fonts:"/",printwarn:1,stayhires:0,button:1,progress:1,asynch:0,blank:0,print:0,keep:"0D",global:"auto",hiddenGlobal:1},cookiePath:"/",','noCookiePattern',':/^(file|mk):$/,Init',19,'(){this.panel=',1,185,'panel",{display:"none"});if(!',1,44,'msieButtonBug){this.Button',87,'setTimeout("',1,65,'Button()",500);}},',193,19,'(){',1,'Translate.Cancel();if(this.loaded){this.Main',87,1,136,'delayedLoad(',1,'root+"jsMath-controls.html");}},Button',19,20,'_8f=',1,185,'button",{});_8f.title=" Open ',196,' ";_8f.innerHTML="<span onclick=\\"',1,65,193,'()\\">jsMath</span>";if(!',1,'Global.','isLocal&&!',1,'noShowGlobal){_8f.innerHTML+="<span id=\\"jsMath_global\\" title=\\" Open jsMath Global ',193,' \\" "+"onclick=\\"',1,401,'Show(1)\\">Global&nbsp;</span>";}if(_8f.offsetWidth<30){_8f.style.width="auto";}if(!','this.cookie','.button){_8f',219,'MoveButton',19,20,'_90=',1,'Controls;if(!','_90.button','){',419,'=',1,179,'button");}if(',419,'){_90.MoveElement(_90.','button,3,2);}var dx=20;var dy=20;if(',419,'){dy=',419,'.offsetHeight','+6;dx=dy+5;}if(_90.panel',427,'panel,dx,dy);}},MoveElement',19,'(obj,dx,dy',177,1,44,'IE7){var _96=document.body;obj.style.right','="auto";obj.style.','bottom',442,'left=_96.clientWidth+_96.scrollLeft-obj.offsetWidth-dx+"px";obj.style.top=_96.clientHeight+_96.scrollTop-obj',432,'-dy+"px";}else{','obj.style.visibility="','hidden";',448,'visible";}},GetCookie',19,'(){if(','this.defaults',254,454,'={};}',1,267,454,',',410,');this.userSet={};var _97=',1,'document.cookie',';if(',1,'window.location','.protocol.match(this.',362,')){_97',73,'localGetCookie','();','this.isLocalCookie','=1;}if(_97.match(/jsMath=([^;]+)/)){var _98=unescape(RegExp.$1).split(/,/);for(var i=0;i<_98.length;i++){var x=_98[i].match(/(.*):(.*)/);if(x[2].match(/^\\d+$/)){x[2]=1*x[2];}',410,'[x[1]]=x[2];this.userSet[x[1]]=1;}}},',473,19,'(){return ',1,468,'.search.substr(1);},SetCookie',19,'(_9b){var _9c=[];','for(var id in ',410,177,454,'[id]==null||',410,'[id]!=',454,'[id]){_9c[_9c.length]=id+":"+',410,'[id];}}_9c=_9c.join(",");if(',475,177,'_9b==2){return "','jsMath="+escape(','_9c);}this.','localSetCookie','(_9c,_9b);}else{_9c=escape(_9c);if(_9c==""){_9b=0;}if(','this.cookiePath','){_9c+="; ','path="+',505,';}if(','this.cookieDomain',506,'domain="+',510,';}if(',410,'.keep!="0D"){var ms={D',':1000*60*60*24',',W',517,'*7,M',517,'*30,Y',517,'*365};var exp=new Date;exp.setTime(exp.getTime()+',410,'.keep.substr(','0,1)*ms[',410,526,'1,1)]);_9c+="; expires="+exp.toGMTString();}if(_9c!=""){',1,465,'="jsMath="+_9c;var _a0=',1,465,';if(_9b&&!_a0.match(/jsMath=/)){alert("Cookies must be enabled in order to save jsMath options");}}}return null;},',503,19,'(_a1,_a2){if(!_a2){',182,'_a3=String(',1,468,').replace(/\\?.*/,"");if(_a1!=""){_a3+="?',501,'_a1',131,'_a3!=',1,468,'.href){this.Reload(_a3);}},Reload',19,'(url){if(!this.loaded){return;}this.loaded=0;',1,243,'=-100;',1,401,'ClearCache();if(url){',1,468,'.replace(url);}else{',1,468,'.reload();}}};',1,'Click={CheckClick',19,'(_a5){if(!_a5){_a5=',1,'window.event;}if','(_a5.altKey){',1,65,193,'();}},CheckDblClick',19,'(_a6){if(!_a6){_a6=',1,571,'(!',1,'Click.DblClick){',1,'Extension.Require("double-click",1);var _a7=_a6;_a6={};',487,'_a7){_a6[id]=_a7[id];}}',1,136,'Push(',1,'Click,"DblClick",[_a6,this.alt]);}};',1,'TeX={thinmuskip:3/18,medmuskip:4/18,thickmuskip:5/18,x_height:0.430554,quad:1,num1:0.676508,num2:0.393732,num3:0.44373,denom1:0.685951,denom2:0.344841,sup1:0.412892,sup2:0.362892,sup3:0.288888,sub1:0.15,sub2:0.247217,sup_drop:0.386108,sub_drop:0.05,delim1:2.39,delim2:1,axis_height:0.25,default_rule_thickness:0.06,big_op_spacing1:0.111111,big_op_spacing2:0.166666,big_op_spacing3:0.2,big_op_spacing4:0.6,big_op_spacing5:0.1,integer:6553.6,scriptspace:0.05,nulldelimiterspace:0.12,delimiterfactor:901,delimitershortfall:0.5,scale:1,atom:["ord","op","bin","rel","open","close","punct","ord"],fam:["cmr10","cmmi10","cmsy10","cmex10","cmti10","","cmbx10",""],famName:{cmr10:0,cmmi10:1,cmsy10:2,cmex10:3,cmti10:4,cmbx10:6},encoding:["&#xC0;","&#xC1;","&#xC2;","&#xC3;","&#xC4;","&#xC5;","&#xC6;","&#xC7;","&#xC8;","&#xC9;","&#xCA;","&#xCB;","&#xCC;","&#xCD;","&#xCE;","&#xCF;","&#xB0;","&#xD1;","&#xD2;","&#xD3;","&#xD4;","&#xD5;","&#xD6;","&#xB7;","&#xD8;","&#xD9;","&#xDA;","&#xDB;","&#xDC;","&#xB5;","&#xB6;","&#xDF;","&#xEF;","!","&#x22;","#","$","%","&#x26;","&#x27;","(",")","*","+",",","-",".","/","0","1","2","3","4","5","6","7","8","9",":",";","&#x3C;","=","&#x3E;","?","@","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","[","&#x5C;","]","^","_","`","a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z","{","|","}","&#x7E;","&#xFF;"],cmr10:[[0.625',',0.683],[0.','833',595,'778',595,'694',595,'667',595,'75',595,'722',595,'778',595,'722',595,'778',595,'722',595,'583',',0.694,0,{ic:0.','0778,krn:{"39":0.0778,"63":0.0778,"33":0.0778,"41":0.0778,"93":0.0778},lig:{"105":','14,"108":15}}],[0.','556',',0.694],[0.','556',621,'833',621,'833',621,'278',',0.431],[0.','306,0.431',',0.194],[0.','5',621,'5',621,'5,0.628],[0.5',621,'5,0.568],[0.75',621,'444,0,0.17],[0.5',621,'722',629,'778',629,'5,0.528,0.0972],[0.903,0.683],[1.01',595,'778,0.732,0.0486],[','0.278',',0.431,0,{','krn:{"108":-0.','278,"76":-0.319}}],[',649,',0.694,0,{lig:{"96":','60}}],[0.5',621,'833',',0.694,0.194],[','0.5',',0.75,0.0556],[0.','833',660,'778',621,'278',',0.694,0,{krn:{"','63":0.111,"33":0.111','},lig:{"39":34}}],[0.','389',',0.75,0.25],[0.','389',670,'5,0.75],[','0.778,0.583,0.0833],[','0.278,0.106',631,'333',650,'lig:{"45":','123}}],[',675,'],[0.5',670,'5,0.644','],[0.5,0.644],[0.5,0.','644',685,'644',685,'644',685,'644],[0.5,0.644],[',649,629,'278,0.431',631,'278,0.5',631,'778',',0.367,-0.133],[','0.472,0.5',631,'472',654,'62}}],[0.778',621,'75',',0.683,0,{krn:{"','116','":-0.0278,"','67',710,'79',710,'71',710,'85',710,'81',710,'84":-0.0833,"89":-0.0833,"86":-0.111,"87":-0.111}}],[0.','708',595,'722',595,'764',708,'88',710,'87',710,'65',710,'86',710,'89":-','0.0278}}],[0.','681',595,'653',',0.683,0,{','krn:{"111":-0.0833,"101":-0.0833,"117":-0.0833,"114":-0.0833,"97":-0.0833,"65":-0.111,"79":-0.0278,"67":-0.0278,"71":-0.0278,"81":-0.0278}}],[','0.785',595,'75',595,'361',708,'73":',737,'514',595,'778',708,'79',710,'67',710,'71',710,'81":-',737,'625',708,721,'917',595,'75',595,'778',708,'88',710,'87',710,'65',710,'86',710,'89":-',737,'681',708,'65','":-0.0833,"','111',710,'101',710,'97',710,'46',785,'44":-0.','0833}}],[0.','778,0.683',631,'736',708,'116',710,'67',710,'79',710,'71',710,'85',710,'81',710,721,'556',595,'722',708,'121',710,'101',785,'111',785,'114',785,'97',785,'65',785,'117":-0.',795,'75',595,'75',',0.683,0,{ic:0.','0139,',742,'1.03',834,'0139,',742,'0.75',708,'79',710,'67',710,'71',710,'81":-',737,'75',834,'025,krn:{"101',785,'111',785,'114',785,'97',785,'65',785,829,795,'611',595,'278',670,'5',621,'278',670,'5',621,'278,0.668],[0.','278',654,'92}}],[0.5',650,'krn:{"118',710,'106":0.0556,"121',710,'119":-',737,'556,0.','694,0',',{krn:{"101":0.0278,"111":0.0278,"120":-0.0278,"100":0.0278,"99":0.0278,"113":0.0278,"118":-0.0278,"106":0.0556,"121":-0.0278,"119":-0.0278}}],[0.','444',650,'krn:{"104',710,'107":-',737,'556',621,'444',629,'306',617,618,'12,"102":11,"108":13}}],[0.5',',0.431,0.194,{','ic:0.','0139,krn:{"','106":',737,'556',666,'116',710,'117',710,'98',710,'121',710,'118',710,'119":-',737,875,'306,0.668',631,'528',666,'97','":-0.0556,"','101',710,'97',710,'111',710,'99":-',737,'278',621,'833',650,'krn:{"116',710,'117',710,'98',710,'121',710,'118',710,'119":-',737,'556',650,'krn:{"116',710,'117',710,'98',710,'121',710,'118',710,'119":-',737,'5,0.431',',0',888,886,'431,0.194',888,'528,0.431',631,'392',629,'394',629,'389,0.615,0,{krn:{"121',710,'119":-',737,'556',650,'krn:{"119":-',737,'528',',0.431,0,{ic:0.',905,'97',928,'101',710,'97',710,'111',710,'99":-',737,'722',988,905,'101',710,'97',710,'111',710,'99":-',737,'528',629,'528',903,'ic:0.',905,'111',710,'101',710,'97',710,'46',785,'44":-0.',795,'444',629,'5',988,'0278,',679,'124}}],[1',988,'0278}],[0.','5',621,'5,0.668],[0.5,0.668]],cmmi10:[[0.615',834,'139',',krn:{"61":-0.0556,"59":-0.111,"58":-0.111,"127":0.',795,'833',708,'127":0.167}}],[0.','763',834,1031,'krn:{"127":0.0833}}],[0.','694',708,1045,'742',834,'0757,',1049,'831',834,'0812,krn:{"61',928,'59":-0.0556,"58":-0.0556,"127":0.','0556}}],[0.','78',834,'0576,',1049,'583',834,'139',1041,1062,'667',741,1049,'612',834,'11,krn:{"61',928,1061,1062,'772',834,'0502,',1049,'64',988,'0037,','krn:{"127":',737,'566',',0.694,0.194,{ic:0.','0528,',1049,'518',903,'ic:0.0556}],[0.444',617,'0378,krn:{"',1061,1062,'406',650,'krn:{"127":0.0556}}],[0.','438',1091,'0738,',1049,'497',903,'ic:0.0359',',',1103,'469',617,1031,1049,'354',650,1103,'576',629,'583',621,'603',903,1088,737,'494',988,'0637,krn:{"',1061,'0278}}],[0.','438',1091,'046,',1088,'0.111}}],[0.','57',988,'0359}],[0.','517',903,1049,'571',988,'0359,krn:{"59',928,'58":-0.',1062,'437',988,'113,krn:{"',1061,1132,'54',988,'0359,',1088,737,'596,0.694,0.194,{',1049,'626',903,1103,'651',1091,'0359,',1088,1137,'622',988,1140,'466',650,1049,'591',',0.694,0,{',1049,'828',988,1035,'517',903,1049,'363,0.431,0.0972,{ic:0.0799,',1049,'654',903,1088,'0.0833}}],[1',700,'1',700,'1',700,'1',700,649,',0.464,-0.0363],[',649,1199,'0.5,0.465,-0.0347],[',1202,'0.5',629,'5',629,'5',629,967,631,967,631,967,',0.194',685,971,685,'431',631,'278,0.106],[',675,631,'778',',0.539,0.0391],[','0.5,0.75,0.25,{krn:{"1',928,'65',928,'77',928,'78',928,'89":0.0556,"90":-0.',1062,'778',1225,1202,'0.531',617,'0556,',1049,'75',708,'127":','0.','139}}],[0.','759',834,'0502,',1049,'715',834,'0715,krn:{"61',710,1061,795,'828',834,1031,1103,'738',834,'0576,',1049,'643',834,'139',1041,795,'786',741,1049,'831',834,'0812,krn:{"61',928,1061,1062,'44',834,'0785,',1088,1137,'555',834,'0962',1041,'167}}],[0.','849',834,'0715,krn:{"61',928,1061,1062,'681',708,1245,737,'97',834,'109,krn:{"','61',928,1061,795,'803',834,1302,'61',785,'61',710,1061,795,'763',834,1031,1049,'642',834,'139',1041,795,'791,0.683,0.194,{',1049,'759',834,'00773,',1049,'613',834,'0576,krn:{"61',928,1061,795,'584',834,'139,krn:{"61',710,1061,795,'683',834,1302,'59":-0.111,"',1148,'111,"61',928,1245,737,'583',834,'222',',krn:{"59":-0.167,"58":-0.167,"61":-0.111}}],[0.','944',834,'139',1355,'828',834,'0785,krn:{"61',785,'61',710,1061,795,'581',834,'222',1355,'683',834,'0715,krn:{"61',928,1061,795,'389,0.75],[0.389',658,'0.389',658,'1,0.358,-0.142],[',1382,'0.417',1177,1088,1137,'529',629,'429',621,'433',650,1103,'52',666,'89":0.0556,"90',928,'106":-0.111,"102":-0.167,"',1045,'466',650,1103,'49',1091,'108,krn:{"',1061,1289,'477',903,1110,',',1088,737,'576',666,'127":-',737,'345,0.66],[0.412,0.66,0.194,{ic:0.0572,krn:{"59',928,1148,1062,'521',617,'0315}],[0.298',617,'0197,',1049,'878',629,'6',629,'485',650,1103,'503',903,1049,'446',903,1110,',',1049,'451',988,1031,'krn:{"',1061,1062,'469',650,1103,'361,0.615,0,{',1049,'572',650,1088,737,'485',988,'0359,',1088,737,'716',988,'0269,',1049,'572',650,1088,737,'49',903,1110,',',1103,'465',988,'044,',1103,'322',650,1088,737,'384',903,1049,'636',903,1088,1137,'5,0.714,0,{ic:0.154}],[',649,617,'399}]],cmsy10:[[',674,649,',0.444,-0.0556],[',674,1202,674,'0.5,0.444,-0.0556],[',674,674,674,674,674,674,674,'1',658,1502,1502,'0.778',1199,'0.778,0.464,-0.0363','],[0.778,0.636,0.136',1517,1517,1517,1517,1517,'],[0.778',700,'0.778,0.483,-0.0169],[0.778',1225,'0.778',1225,'1',1225,'1',1225,'0.778',1225,'0.778',1225,'1',700,'1',700,'0.5',658,'0.5',658,'1',700,'1',658,'1',658,'0.778',1199,'1',700,'1',700,'0.611',658,'0.611',658,'1',700,'1',658,'1',658,'0.778',629,'275,0.556],[1',629,'667',1225,'0.667',1225,'0.889',658,'0.889',658,'0',658,'0',700,'0.556',621,'556',621,'667',629,'5',660,'722',621,'722',621,'778',621,'778',621,'611',621,'798',708,'48":0.','194}}],[0.657',834,'0304',',krn:{"48":0.',1247,'527',834,'0583',1607,1247,'771',834,'0278',1607,795,'528',834,'0894',1607,'111}}],[0.','719',834,'0993',1607,1623,'595',',0.683,0.0972,{ic:0.','0593',1607,1623,'845',834,'00965',1607,1623,'545',834,'0738,krn:{"48":',737,'678',1630,'185',1607,1289,'762',834,'0144',1607,1062,'69',708,1603,'139}}],[1.2',708,1603,1247,'82',834,'147',1607,795,'796',834,1616,1607,1623,'696',834,'0822',1607,795,'817,0.683,0.0972,{krn:{"48":',1137,'848',708,1603,795,'606',834,'075',1607,1247,'545',834,'254,krn:{"48":',737,'626',834,'0993',1607,795,'613',834,'0822,krn:{"48":',737,'988',834,'0822',1607,795,'713',834,'146',1607,1247,'668',1630,'0822',1607,795,'725',834,'0794',1607,1247,'667,0.556],[0.',1719,1719,1719,1719,'611',621,'611',621,'444',670,'444',670,'444',670,'444',670,'5',670,'5',670,'389',670,'389',670,'278',670,'5',670,'5',670,'611',670,'5',670,'278',658,'0.833,0.04,0.96],[0.75',595,'833',595,'417',1091,'111}],[0.',1719,'667,0.556',1517,1517,'],[0.444',658,'0.444',658,'0.444',658,'0.611',658,'0.778,0.694,0.13','],[',1775,'],[',1775,'],[',1775,']],cmex10:[[0.458',',0.04,1.16,{n:','16}],[0.458',1783,'17}],[0.417',1783,'104}],[0.417',1783,'105','}],[0.472,0.04,1.16,{n:','106',1791,'107',1791,'108',1791,'109}],[0.583',1783,'110}],[0.583',1783,'111',1791,'68',1791,'69}],[0.333',',0,0.6,{delim:{','rep:12}}],[0.556',1807,'rep:13}}],[0.578',1783,'46}],[0.578',1783,'47}],[0.597',',0.04,1.76,{n:','18}],[0.597',1815,'19}],[0.736',',0.04,2.36,{n:','32}],[0.736',1819,'33}],[0.528',1819,'34}],[0.528',1819,'35}],[0.583',1819,'36}],[0.583',1819,'37}],[0.583',1819,'38}],[0.583',1819,'39}],[0.75',1819,'40}],[0.75',1819,'41}],[0.75',1819,'42}],[0.75',1819,'43}],[1.04',1819,'44}],[1.04',1819,'45}],[0.792',',0.04,2.96,{n:','48}],[0.792',1847,'49}],[0.583',1847,'50}],[0.583',1847,'51}],[0.639',1847,'52}],[0.639',1847,'53}],[0.639',1847,'54}],[0.639',1847,'55}],[0.806',1847,'56}],[0.806',1847,'57}],[0.806',',0.04,2.96],[','0.806',1867,'1.28',1867,'1.28',1867,'0.811',1815,'30}],[0.811',1815,'31}],[0.875',',0.04,1.76,{delim:{top:','48,bot:64,rep:66}}],[0.875',1879,'49,bot:65,','rep:67}}],[0.','667',1879,'50,bot:52,rep:54}}],[0.667',1879,'51,bot:53,rep:55','}}],[0.667,0.04,1.76,{delim:{bot:','52,rep:54',1889,'53,rep:55}}],[0.667',1807,'top:50,rep:54}}],[0.667',1807,'top:51,rep:55','}}],[0.889,0,0.9,{delim:{top:','56,mid:60,bot:58,rep:62',1897,'57,mid:61,bot:59,rep:62',1897,'56,bot:58,rep:62',1897,'57,bot:59,rep:62','}}],[0.889,0,1.8,{delim:{rep:','63',1905,'119}}],[0.889,0,0.3,{delim:{','rep:62}}],[0.','667',1807,'top:120,','bot:121,rep:63}}],[0.','875',1879,'56,bot:59,',1909,'875',1879,'57,bot:58,',1909,'875',1807,'rep:66}}],[0.875',1807,1883,'611',1815,'28}],[0.611',1815,'29','}],[0.833,0,1,{n:','71}],[1.11',',0.1,1.5],[','0.472,0,1.11,{ic:0.194,n:','73}],[','0.556,0,2.22,{ic:0.444}],[1.11,0',',1,{n:75}],[1.51,0','.1,1.5],[1.11,0',',1,{n:77}],[1.51,0',1939,',1,{n:79}],[1.51',1934,'1.06,0,1,{n:88}],[0.944,0,1,{n:89}],[',1935,'90',1932,'91',1932,'92',1932,'93',1932,'94',1932,'95}],[1.44',1934,'1.28',1934,1937,1939,1939,1939,1939,'.1,1.5],[0.944,0,1,{n:97}],[1.28',1934,'0.556,0.722,0,{n:','99','}],[1,0.75,0,{n:','100}],[1.44,0.75],[',1967,'102',1969,'103}],[1.44,0.75],[0.472',1815,'20}],[0.472',1815,'21}],[0.528',1815,'22}],[0.528',1815,'23}],[0.528',1815,'24}],[0.528',1815,'25}],[0.667',1815,'26}],[0.667',1815,'27}],[1',1783,'113}],[1',1815,'114}],[1',1819,'115}],[1',1847,'116}],[1.06,0,1.8,{delim:{top:118,bot:116,rep:117}}],[1.06,0,0.6],[1.06,0.04,0.56],[0.778',1807,'top:126,','bot:127,rep:119','}}],[0.667',1807,1912,'rep:63}}],[0.667',1807,1913,'45,0.12],[0.',2008,2008,2008,'778',1807,2000,'rep:119}}],[0.778',1807,2001,'}}]],cmti10:[[0.627',834,'133}],[0.818',595,'767',834,'094}],[0.692',595,'664',834,'153}],[0.743',834,'164}],[0.716',834,'12}],[0.','767',834,1762,'716',834,'0599}],[0.767',834,1762,'716',834,'103}],[0.','613',1091,'212,krn:{"39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:{"105":',619,'562',1091,2043,'588',1091,2043,'882',1091,2043,'894',1091,2043,'307',988,'0767}],[0.332',903,'ic:0.0374}],[0.511',621,'511',617,'0969','}],[0.511,0.','628,0,{ic:0.083}],[0.511',617,'108',2069,'562,0,{ic:0.',2043,'831',621,'46,0,0.17],[0.537',1091,'105}],[0.716',988,'0751}],[0.716',988,'0751',2069,'528,0.0972,{ic:0.0919}],[0.883',834,2032,'985',834,2032,'767,0.732,0.0486,{ic:0.094}],[0.256',650,651,'256,"76":-0.321}}],[0.307',617,'124,lig:{"96":60}}],[0.514',617,'0696}],[0.818',1091,'0662}],[0.769',621,'818,0.75,0.0556',',{ic:0.136}],[0.','767',617,'0969}],[0.307',617,'124,krn:{"63":0.102,"33":0.102',668,'409',',0.75,0.25,{ic:0.162}],[0.','409,0.75,0.25,{ic:0.0369',2069,'75,0,{ic:0.149}],[0.767,0.562,0.0567,{ic:0.0369}],[0.307,0.106',631,'358',988,'0283,',679,'123}}],[0.307,0.106],[0.511',2112,'511,0.644,0',',{ic:0.136}],[0.511,0.644,0',2124,2124,2124,'.194',2124,2124,2124,'.194',2124,2124,2104,'307',988,'0582}],[0.307',903,'ic:0.0582}],[0.307,0.5,0.194,{ic:0.0756}],[0.767,0.367,-0.133,{ic:0.0662',2069,'5',631,'511',617,'122,lig:{"96":62}}],[0.767',617,'096}],[0.743',708,'110','":-0.0256,"','108',2151,'114',2151,'117',2151,'109',2151,'116',2151,'105',2151,'67',2151,'79',2151,'71',2151,'104',2151,'98',2151,'85',2151,'107',2151,'118',2151,'119',2151,'81',2151,'84":-0.0767,"89":-0.0767,"86":-0.102,"87":-0.102,"101','":-0.0511,"','97',2185,'111',2185,'100',2185,'99',2185,'103',2185,'113":-0.0511}}],[0.704',834,2043,'716',834,'145}],[0.755',834,'094,krn:{"88',2151,'87',2151,'65',2151,'86"'],
  [':-0.0256,"89','":-0.0256}}],[0.','678,0.683',',0,{ic:0.','12}],[0.','653,0.683',3,'133',',krn:{"','111','":-0.0767,"','101',10,'117',10,'114',10,'97',10,'65','":-0.102,"','79','":-0.0256,"','67',22,'71',22,'81',1,'774,0.683',3,'0872}],[0.743,0.683',3,'164}],[0.','386,0.683',3,'158}],[0.525,0.683',3,'14}],[0.769,0.683',3,'145',8,'79',22,'67',22,'71',22,'81',1,'627,0.683,0,{krn:{"84',10,'89',10,'86',20,'87',20,'101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','897,0.683',3,33,'743,0.683',3,33,'767,0.683',3,'094',8,'88',22,'87',22,'65',22,'86',22,'89',1,'678,0.683',3,'103',8,'65":-0.0767}}],[0.','767,0.683',',0.194,{ic:0.','094}],[0.729,0.683',3,'0387',8,'110',22,'108',22,'114',22,'117',22,'109',22,'116',22,'105',22,'67',22,'79',22,'71',22,'104',22,'98',22,'85',22,'107',22,'118',22,'119',22,'81',22,'84',10,'89',10,'86',20,'87',20,58,'562,0.683',3,4,'716,0.683',3,'133',8,'121',10,'101',10,'111',10,'114',10,'97',10,'117',10,83,'743,0.683',3,33,'743,0.683',3,'184',8,'111',10,'101',10,'117',10,'114',10,'97',10,'65',20,'79',22,'67',22,'71',22,'81',1,'999,0.683',3,'184',8,83,'743,0.683',3,'158',8,'79',22,'67',22,'71',22,'81',1,'743,0.683',3,'194',8,'101',10,'111',10,'114',10,'97',10,'117',10,83,'613,0.683',3,'145','}],[0.307,0.','75,0.25',',{ic:0.188}],[0.514',',0.694',3,'169',215,216,',{ic:0.105','}],[0.511,0.','694',3,'0665',215,'668',3,'118',215,'694',3,'124,lig:{"96":92}}],[0.511,0.431',3,'0767}],[0.','46',218,3,'0631',8,58,'46,0.431',3,'0565',8,58,'511',218,3,'103',8,'108":0.0511}}],[0.','46,0.431',3,'0751',8,58,'307',218,85,'212',8,'39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:{"105":','12,"102":11,"108":13}}],[0.','46,0.431',85,'0885',224,'694',3,'0767',215,'655',3,'102',215,'655',85,'145}],[0.46',218,3,'108}],[0.','256',218,3,'103',8,254,'818,0.431',3,237,'562,0.431',3,273,8,'39":-0.102}}],[0.511,0.431',3,'0631',8,58,'511,0.431',85,'0631',8,58,'46,0.431',85,'0885}],[0.','422,0.431',3,'108',8,58,'409,0.431',3,'0821}],[0.332,0.615',3,'0949}],[0.537,0.431',3,237,'46,0.431',3,284,'664,0.431',3,'108',8,254,'464,0.431',3,4,'486,0.431',85,310,'409,0.431',3,'123',224,'431',3,'0921',',lig:{"45":124}}],[1.','02,0.431',3,343,224,'694',3,'122',224,'668',3,'116',224,'668',3,'105}]],cmbx10:[[0.692',',0.686],[0.','958',360,'894',360,'806',360,'767',360,'9',360,'831',360,'894',360,'831',360,'894',360,'831',360,'671',218,3,'109,krn:{"39":0.109,"63":0.109,"33":0.109,"41":0.109,"93":0.109},lig:{"105":','14,"108":15}}],[0.639',',0.694],[0.','639',386,'958',386,'958',386,'319',',0.444],[0.','351',',0.444,0.194','],[0.575,0.','694',397,'694',397,'632',397,'694',397,'596],[0.869',386,'511,0,0.17],[0.597',386,'831',394,'894,0.444',397,'542,0.0972],[1.04,0.686],[1.17',360,'894,0.735,0.0486],[0.319',',0.444,0,{krn:{"','108":-0.319,"76":-0.378}}],[0.35',',0.694,0,{lig:{"96":','60}}],[0.603',386,'958',218,',0.194',397,'75,0.0556],[0.','958,0.',426,'894',386,'319',',0.694,0,{krn:{"','63":0.128,"33":0.128},lig:{"39":34}}],[0.447,0.',216,'],[0.447,0.',216,397,'75],[0.894,0.633,0.133],[','0.319,0.156',',0.194],[0.','383,0.444,0,{lig:{"45":123}}],[',439,397,216,397,'644',397,'644',397,'644',397,'644',397,'644',397,'644',397,'644',397,'644',397,'644',397,'644],[0.319',394,'319',396,'],[0.35,0.5',440,'894,0.391,-0.109],[0.543,0.5',440,'543',419,'62}}],[0.894',386,'869',',0.686,0,{krn:{"','116','":-0.0319,"','67',479,'79',479,'71',479,'85',479,'81',479,'84":-0.0958,"89":-0.0958,"86":-0.128,"87":-0.128}}],[','0.818',360,'831',360,'882',477,'88',479,'87',479,'65',479,'86',479,'89','":-0.0319}}],[0.','756',360,'724,0.686,0,{','krn:{"111":-0.0958,"101":-0.0958,"117":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.128,"79":-0.0319,"67":-0.0319,"71":-0.0319,"81":-0.0319}}],[','0.904',360,'9',360,'436',477,'73','":0.0319}}],[0.','594',360,'901',477,'79',479,'67',479,'71',479,'81',506,'692',477,490,'1.09',360,'9',360,'864',477,'88',479,'87',479,'65',479,'86',479,'89',506,'786',477,'65":-0.0958,"111',479,'101',479,'97',479,'46":-0.0958,"44":-0.0958}}],[0.','864,0.686',440,'862',477,'116',479,'67',479,'79',479,'71',479,'85',479,'81',479,490,'0.639',360,'8',477,'121',479,'101":-0.0958,"111":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.0958,"117":-0.0958}}],[0.','885',360,'869,0.686',3,'016,',510,'1.19,0.686',3,'016,',510,'0.869',477,'79',479,'67',479,'71',479,'81',506,'869,0.686',3,'0287',8,582,'703',360,'319,0.',216,'],[0.603',386,610,216,397,'694],[0.319',386,'319',419,'92}}],[0.559',417,'118',479,'106":0.0639,"121',479,'119',506,'639',218,',0',',{krn:{"101":0.0319,"111":0.0319,"120":-0.0319,"100":0.0319,"99":0.0319,"113":0.0319,"118":-0.0319,"106":0.0639,"121":-0.0319,"119":-0.0319}}],[0.','511',417,'104',479,'107',506,'639',386,'527',394,'351',218,3,384,266,'575,0.444',85,'016',8,'106',518,'639',432,'116',479,'117',479,'98',479,'121',479,'118',479,'119',506,'319',386,'351',218,440,'607',432,'97":-0.0639,"101',479,'97',479,'111',479,'99',506,'319',386,'958',417,'116',479,'117',479,'98',479,'121',479,'118',479,'119',506,'639',417,'116',479,'117',479,'98',479,'121',479,'118',479,'119',506,'575,0.444,0',632,'639',396,632,'607',396,'],[0.474',394,'454',394,'447,0.635,0,{krn:{"121',479,'119',506,'639',417,'119',506,'607,0.444',3,'016',8,'97":-0.0639,"101',479,'97',479,'111',479,'99',506,'831,0.444',3,'016',8,'101',479,'97',479,'111',479,'99',506,'607',394,732,85,'016',8,'111',479,'101',479,'97',479,558,'511,0.444',397,'444',3,'0319',344,'15,0.444',3,'0319}],[0.575',218,397,'694',397,'694]]};','jsMath.Img','={fonts:[50,60,70,85,100,120,144,173,207,249,298,358,430],w:{"50":6.9,"60":8.3,"70":9.7,"85":11.8,"100":13.9,"120":16.7,"144":20,"173":24,"207":28.8,"249":34.6,"298":41.4,"358":49.8,"430":59.8},best:4,update:{},factor:1,loaded:0,SetFont',':function(','_a9){for(var _aa in _a9){if(!','this.update[_aa',']){',787,']=[];}',787,']=',787,'].concat(_a9[_aa]);}},AddFont',785,'_ab,def){if(!',783,'[_ab]){',783,'[_ab]={};}','jsMath.Add(jsMath.','Img[_ab],def);},UpdateFonts',':function(){','var _ad=this.update;','if(!this.loaded){','return;}var ','_ae=this[','jsMath.Img.fonts','[this.best]];','for(var _af in _ad){','for(var i=0;i<','_ad[_af].length;i++){var c=_ad[_af][i];if(c=="all"){for(c in ','jsMath.TeX[','_af]){',813,'_af][c].img','={};}}else{',813,816,'={};}}}this.update={};},BestSize',803,'var w=jsMath.em*this.factor;var m=','this.w[this.fonts[','0]];for(var i=1;i<','this.fonts','.length;i++){','if(w<(',823,'i]]+2*m)/3){return i-1;}m=',823,'i]];}return i-1;},Scale',803,805,'return;}this.best=this.BestSize();this.em=',783,'.w[',825,809,'this.scale','=(jsMath.em/this.em);','if(Math.abs(',839,'-1)<0.12){',839,'=1;}},URL',785,'_b5,_b6,C){var _b8=(','jsMath.Controls.cookie.','alpha)?"/alpha/":"/plain/";if(C==null){C="def.js";}else{C="char"+C+".png";}if(_b6!=""){_b6+="/";}','return this.','root+_b5+_b8+_b6+C;},LoadFont',785,'_b9){',805,'this.Init();}jsMath.Setup.Script(this.URL(_b9,""));},Init',803,'if(',848,'print||',848,'stayhires','){',848,'print=',848,861,';this.factor*=3;if(!','jsMath.Controls.','isLocalCookie||!jsMath.Global.isLocal){',868,'SetCookie(0);}if(','jsMath.Browser.','alphaPrintBug){',848,'alpha=0;}}var _ba="0123456789ABCDEF";this.HexCode=[];',811,'128;i++){var h=Math.floor(i/16);var l=i-16*h;this.HexCode[i]=_ba.charAt(h)+_ba.charAt(l);}this.loaded=1;}};jsMath.HTML={Em',785,'m){var n=5;if(m<0){n++;}',841,'m)<0.000001){m=0;}var s=String(m);s=s.replace(/(\\.\\d\\d\\d).+/,"$1");return s+"em";},Spacer',785,'w){if(w==0){return "";}return ',872,'msieSpaceFix+"<','span class=\\"spacer\\" style=\\"margin-','left:"+this.Em(','w)+"\\"></span>";},Blank',785,'w,h,d,_c5){var _c6="";var _c7="";if(_c5){_c7+="border-',887,'w)+" solid;";if(',872,'widthAddsBorder){w=0;}}if(w==0){if(',872,'blankWidthBug){_c7+="width:1px;";_c6="<',886,'right:-1px\\"></span>";}}else{_c7+="width:"+this.Em(w)+";";}if(d==null){d=0;}if(h){var H=this.Em(h+d);if(_c5&&h*jsMath.em<1.5){H="1px";h=1/jsMath.em;}_c7+="height:"+H+";";}if(',872,'mozInlineBlockBug){d=-h;}if(',872,'msieBorderBug&&!_c5){d-=jsMath.d;}if(d){_c7+="','vertical-align:"+','this.Em(-d);}return _c6+"<span class=\\"blank\\" ','style=\\""+','_c7+"\\"></span>";},Rule',785,'w,h){if(h==null){h=jsMath.TeX.default_rule_thickness;}',850,'Blank(w,h,0,1);},Class',785,'_cb,_cc){return "<span class=\\""+_cb+"\\">"+_cc+"</span>";},Place',785,'_cd',',x,y){if(Math.abs(x)<0.0001){x=0;}if(Math.abs(y)<0.0001){y=0;}','if(x||y){var _d0','="<span style=\\"position',': relative',';";if(x){_d0+=" margin-',887,'x)+";";}if(y){_d0+=" ','top:"+this.Em','(-y)+";";}_cd=_d0+"\\">"+_cd','+"</span>";}','return _cd;},PlaceSeparateSkips',785,'_d1',915,'if(y){_d1',917,918,'; ',922,'(-y)+";"+"\\">"+_d1',924,'if(x){_d1=this.Spacer(x)+_d1',';}return ','_d1;},PlaceAbsolute',785,'_d4',915,'_d4',917,':absolute','; ',887,'x)+"; "+"',922,'(y)+";\\">"+_d4+"&nbsp;</span>";return _d4;},Absolute',785,'_d7,w,h,d,y,H){if(y!="none"){',841,'y)<0.0001){y=0;}_d7',917,944,'; "+"top:"+','jsMath.HTML.','Em(y)+"; left:0em',';\\">"+_d7','+"&nbsp;"+"</span>";}if(d=="none"){d=0;}_d7+=this.Blank(w,h-d,d);if(',872,'msieAbsoluteBug){_d7',917,':relative',959,924,'if(',872,'spanHeightVaries){','var _dd="";_dd=',872,'msieInlineBlockFix+" width:"+',957,'Em(w)+";";if(',872,'quirks){_dd+=" height:"+',957,'Em(H)+";";}','else{_dd+=" height: 0px;"+" ',903,957,978,'_d7',917,964,';"+_dd+"\\">"+_d7',924,'else{_d7',917,964,'\\">"+_d7',924,'return _d7;}};jsMath.Box=function(_de,_df,w,h,d){if(d==null){d=jsMath.d;}this.type="typeset";this.w=w;this.h=h;this.d=d;this.bh=h;this.bd=d;this.x=0;this.y=0;','this.html=','_df;this.format=_de;};',801,'Box,{defaultH:0,Null',803,'return new jsMath.','Box("null","",0,0,0);},Text',785,'_e3,_e4,_e5,_e6,a,d){var _e9=','jsMath.Typeset.AddClass(','_e4,_e3);_e9=','jsMath.Typeset.','AddStyle(','_e5,_e6,_e9);var BB','=jsMath.EmBoxFor(','_e9);var TeX=',1005,'TeX(_e5,_e6);var bd=((_e4=="cmsy10"||_e4=="cmex10")?BB.h-TeX.h:TeX.d*BB.h/TeX.hd);var ','box=new jsMath.Box("','text",_e3,BB.w,BB.h-bd,bd);box.style=_e5;box.size=_e6;','box.tclass','=_e4;if(d!=null){box.d=d','*TeX.scale;}else{box.','d=0;}if(a==null||a==1){box.h=0.9*TeX.M_height;}else{box.h=1.1*TeX.x_height+TeX.scale*a;}','return box;},','TeX',785,'C,_ef,_f0,_f1){var c=',813,'_ef][C];if(','c.d==null){c.d=0;}','if(c.h','==null){c.','h=0',';}if(c.img!=null','&&c.c!=""){this.TeXIMG(_ef,C,',1005,'StyleSize(_f0,_f1));}var _f3=',1005,'TeX(_f0,_f1).scale;var h=c.h+',813,'_ef].dh;var ',1012,'text",c.c,c.w*_f3,h*_f3,c.d*_f3);box.style=_f0;box.size=_f1;if(c.tclass){',1014,'=c.tclass;if(c.img){box.bh=c.img.bh;box.bd=c.img.bd;}else{box.bh=_f3*jsMath.h;box.bd=_f3*jsMath.d;}}else{',1014,'=_ef;box.bh=_f3*',813,'_ef].h;box.bd=_f3*',813,'_ef].d;if(',872,'msieFontBug&&box.html.match(/&#/)){box.html+="<span style=\\"display:none\\">x</span','>";}}',1018,'TeXfallback',785,'C,_f7,_f8,_f9','){var c=',813,'_f7][C];if(!c.tclass){c.tclass=_f7',1028,'){',850,'TeXnonfallback(',1052,');}if(c.h!=null&&c.a',1026,'a=c.h-1.1*jsMath.TeX.x_height;}var a=c.a;var d=c.d;var box=this.Text(c.c,c.tclass,_f8,_f9,a,d);var _fe=',1005,'TeX(_f8,_f9).scale;if(c.bh!=null){box.bh=c.bh*_fe;box.bd=c.bd*_fe;}else{var h=box.bd+box.bh;','var html=',1003,1014,',box.html);html=',1005,1006,'_f8,_f9,html);box.bd',1008,'html+',957,'Blank(1,h)).h-h;box.bh=h-box.bd;if(_fe==1){c.bh=box.bh;c.bd=box.bd;}}if(jsMath.',1047,'>";}',1018,'TeXIMG',785,'font,C,size){var c=',813,'font][C];if(c.img.size!=null&&c.img.size==size&&c.img.best!=null&&c.img.best==','jsMath.Img.best','){',806,'_105=(',783,'.scale!=1);var id=',1085,'+size-4;if(id<0){id=0;_105=1;}else{if(id>=',808,'.length){','id=',808,'.length-1',';_105=1;}}var _107=',783,'[',808,'[id]];var img=_107[font][C];var _109=1/',783,'.w[',808,'[id]];if(id!=',1085,'+size-4){if(c.w!=null){_109=c.w/img[0];}else{_109*=',808,'[size]/',808,'[4]*',808,'[',1085,']/',808,'[id];}}var w=img[0]*_109;var h=img[1]*_109;var d=-img[2]*_109;var v;var _10e=(c.w==null||Math.abs(c.w-w)<0.01)?"":" margin-right:"+',957,'Em(c.w-w)+";";var _10f="";C=',783,'.HexCode[C];if(!_105&&!',848,'scaleImg){if(2*w<h||(',872,'msieAlphaBug&&',848,'alpha)){_10f="height',':"+(img[1]*',872,'imgScale',')+"px;";}_10f+=" width:"+(img[0]*',872,1131,')+"px;";v=-img[2]+"px";}else{if(2*w<h||(',872,'msieAlphaBug&&',848,1128,':"+',957,'Em(h*',872,1131,')+";";}_10f+=" width:"+',957,'Em(w*',872,1131,')+";";v=',957,'Em(d);}var _110=(Math.abs(d)<0.01&&!',872,'valignBug)?"":" ',903,'v+";";var URL=',783,'.URL(font,',808,'[id],C);if(',872,'msieAlphaBug&&',848,'alpha){','c.c="<img src=\\""+','jsMath.blank+"\\" "+"',905,872,'msieCenterBugFix+_10f+_110+_10e','+" filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src="+"\'"+URL+"\', sizingMethod=\'scale\'"+");\\" />";}else{',1165,'URL+"\\" ',905,872,1169,'+"\\" />";}c.tclass="normal";c.img.bh=h+d;c.img.bd=-d;c.img.size=size;c.img.best=',1085,';},Space',785,'w){',999,'Box("html",',957,'Spacer(w),w,0,0);},Rule',785,908,1066,957,'Rule(w,h);',999,'Box("','html",html,w',',h,0);},GetChar',785,'code,font){var c=',813,'font][code];','if(c.img!=null){this.TeXIMG(font,code',',4);}if(c.tclass',1026,'tclass=font;}if(!c.computedW){c.w',1008,1003,'c.tclass,c.c)).w',';if(c.h==null){c','.h=jsMath.Box.defaultH;}if(',1024,'c.computedW=1',937,'c;},DelimBestFit',785,'H,c,font,','_11c){if(c==0&&font','==0){return null;}','var C;var h;','font=jsMath.TeX.fam[','font];var ','isSS=(_11c.charAt(1)=="S");var isS=(_11c.charAt(0)=="S");while(c!=null){C=',813,'font][c];','if(C.h==null){C',1206,'C.d==null){C.d=0;}h=C.h+C.d;if(C.delim','){return [c,font',',"",H];}if(isSS&&0.5*h>=H',1224,',"SS",0.5*h];}if(isS&&0.7*h>=H',1224,',"S",0.7*h];}if(h>=H||C.n==null',1224,',"T",h];}c=C.n',937,'null;},DelimExtendRelative',785,1212,'a,_125){var C=',813,1220,'var top=this.GetChar(C.delim.top?C.delim.top:C.delim.rep,font);var rep=this.GetChar(C.delim.rep,font);var bot=this.GetChar(C.delim.bot?C.delim.bot:C.delim.rep,font);','var ext=',1003,'rep.tclass,rep.c);','var w=rep.w;var h=','rep.h+rep.d',';var y;var dx;','if(C.delim.mid){var mid=this.GetChar(C.delim.mid,font);var n=Math.ceil((H-(top.h+top.d)-(mid.h+mid.d',')-(','bot.h+bot.d','))/(2*(',1244,')));H=2*n*(',1244,')+(top.h+top.d)+(','mid.h+mid.d',')+(',1248,');if(_125){y','=0;}else{','y=H/2+a;}var Y=y;',1066,957,'Place(',1003,'top.tclass,top.c),0,','y-top.h)+',957,1262,1003,'bot.tclass,bot.c),-(','top.w+bot.w)/2,y-(H-bot.d))+',957,1262,1003,'mid.tclass,mid.c','),-(bot.w+mid.w)/2,y-(H+mid.h-mid.d)/2);dx=(w-mid','.w)/2;if(Math.abs(dx)<0.0001){dx=0;}if(dx){html+=jsMath.HTML.Spacer(dx);}y-=top.h+top.d+rep.h;for(var i=0;i<n;i++){html+=jsMath.HTML.Place(ext,-w,y-i*h);}','y-=H/2-rep.h/2;',811,'n;i++){','html+=',957,1262,'ext,-w,y-i*h);}}','else{var n=Math.ceil((H-(top.h+top.d)-(bot.h+bot.d','))/(',1244,'));if(top.h+top.d<0.9*(',1244,')){n=Math.max(1,n);}H=n*(',1244,1253,1248,');if(_125){y',1258,'y=H/2+a;}var Y=y;',1066,957,1262,1003,1264,'y-top.h);dx=(w-top',1276,1280,957,1262,1003,1269,'w+bot.w)/2,Y-(H-bot.d));}if(_125){h=top.h;}else{h=H/2+a;}','var box=new jsMath.Box("html",html,rep.w,h,H-h);box.bh=jsMath.TeX[font].h;box.bd=jsMath.TeX[font].d;return box;},','DelimExtendAbsolute',785,1212,'a,_13e){var Font=',813,1217,'C=Font[c];var html;',1239,1246,'-0.05)-(',1248,'-0.05))/(','2*(','rep.h+rep.d-0.05',')));H=2*n*(',1323,1253,1254,'-0.05)+(',1248,'-0.05);html=','jsMath.HTML.PlaceAbsolute(',1003,1264,'0);var h=',1323,';var y=top.d-0.05+rep.h;var ext=',1003,'font,rep.c);',811,'n;i++){',1280,1331,'ext,0,y+i*h);}',1280,1331,1003,1274,'),0,y+n*h-rep.h+mid.h);y+=n*h+',1254,'-0.05;',811,'n;i++){',1280,1331,'ext,0,y+i*h);}',1280,1331,1003,'bot.tclass,bot.c),0,y+n*h-rep.h+bot.h);}',1284,1321,1323,'));H=n*(',1323,1253,1248,'-0.05);html=',1331,1003,1264,'0);var h=',1323,';var y=top.d-0.05+rep.h;var ext=',1003,1242,811,'n;i++){',1280,1331,'ext,0,y+i*h);}',1280,1331,1003,1359,'var w=top.w;if(_13e){h=top.h;y',1258,'h=H/2+a;y=h-top.h;}html=',957,'Absolute(html,w,','Font.h,"none",-y,jsMath.h);',1309,'Delimiter',785,'H,_154,_155,_156){var size=4;var TeX=',1005,'TeX(_155,size);if(!_154){',850,'Space(TeX.nulldelimiterspace);}','var ','CFSH=this.DelimBestFit(H,_154[','2],_154[1],_155);if(CFSH==null||CFSH[3]<H){',1400,'4],_154[3],_155);}if(CFSH==null){',850,1398,'if(CFSH[2]==""){',850,'DelimExtend(H,','CFSH[0],CFSH[1],','TeX.axis_height',',_156);}var box=jsMath.Box.TeX(',1409,'CFSH[2],size',').Styled();if(_156){box.y=-',813,'CFSH[1]].dh',1016,'y=-((box.h+box.d)/2-box.d-',1410,');}',841,'box.y)<0.0001){box.y=0;}if(box.y','){box=jsMath.Box.SetList','([box],',1413,');}',1018,'GetCharCode',785,'code){var ',1216,'code[0]];var Font=',813,1217,'c=Font[code[1]];',1198,'[1],4);}if(c.w',1026,'w',1008,1003,1204,';}if(c.font',1026,'font=font',937,'c;},AddClass',785,'_15f,html,font){if(_15f==null){_15f=font',937,1003,'_15f,html);},LayoutRelative',785,'size,_163,_164,_165,_166,_167,_168,_169){if(_164==null){_164=[];}if(_165==null){_165=[];}if(_166==null){_166=[];}if(_168==null){_168=1;}if(_169==null){_169=1;}var _16a=jsMath.sizes[size]/100',';var W=[];var H=[];var D=[];var ','_16e=-1000;var bh=_16e;var bd=_16e',';var i;var j;var row;for(i=0;i<','_163',826,'if(_166[i]==null){_166[i]=0;}row=_163[i];H','[i]=_168*jsMath.','h*_16a;D',1461,'d*_16a',';for(j=0;j<','row.length;j++){row[j]=row[j].Remeasured();if(row[j].h>H[i]){H[i]=row[j].h;}if(row[j].d>D[i]){D[i]=row[j].d;}if(j>=W.length){W[j]=row[j].w;}else{if(row[j].w>W[j]){W[j]=row[j].','w;}}if(row[j].bh>bh){bh=row[j].bh;}if(row[j].bd>bd){bd=row[j].bd;}}}if(_166[_163','.length]==null){','_166[_163.length]=0;}if(bh==_16e){bh=0;}if(bd==_16e){bd=0;}var HD=_168','*(jsMath.hd-0.01)*','_16a;var dy=(_167||1)*_16a/6;','var html="";var ','pW=0;var cW=0;var w;var h;var y;var box;var _17d;var _17e',';for(j=0;j<W.length;j++){','_17d=[];y=-H[0]-_166[0];pW=0;for(i=0;i<_163',826,'_17e=_163[i][j];if(_17e&&_17e.format!="null"){','if(_164[j]=="','l"){w',1258,1478,'r"){w=W[j]-_17e.w;}else{w=(W[j]-_17e.w)/2;}}_17e.x=w-pW;pW=_17e.w+w;_17e.y=y;_17d[_17d.length]=_17e;}if(i+1<_163',1094,'y-=','Math.max(HD,D[i]+H[i+1])+dy+','_166[i+1];}}if(_165[j]==null){_165[j]=_16a;}if(_17d.length>0',1423,'(_17d,"T",size);',1280,957,1262,'box.html,cW,0);cW=W[j]-box.w+_165[j];}else{cW+=_165[j];}}w=-_165[W',1097,'];y=(H',1097,')*dy+_166[0];for(i=0;i<W',826,'w+=W[i]+_165[i];}for(i=0;i<H',826,'y+=Math.max(HD,H[i]+D[i])+','_166','[i+1];}h=y/2+jsMath.TeX.axis_height;var d=y-h;',1280,957,'Spacer(cW-_165[W',1097,']+_169*_16a/6);html=',957,1262,'html,_169*_16a/6,h);',1012,1192,'+_169*_16a/3,h,d);box.bh=bh;box.bd=bd;',1018,'LayoutAbsolute',785,'size,_181,_182,_183,_184,_185,_186,_187){if(_182==null){_182=[];}if(_183==null){_183=[];}if(_184==null){_184=[];}if(_186==null){_186=1;}if(_187==null){_187=1;}var _188=jsMath.sizes[size]/100;var HD=_186',1470,'_188;var dy=(_185||1)*_188/6',1455,'w=0;var h;var x;var y',1457,'_181',826,'if(_184[i]==null){_184[i]=0;}row=_181[i];H','[i]=_186*jsMath.','h*_188;D',1526,'d*_188',1465,1466,'w;}}}}if(_184[_181',1468,'_184[_181.length]=0;}y=(H',1097,')*dy','+_184[0];for(i=0;i<','H',826,1500,'_184',1502,1472,'_197;w=_187*_188/6',1474,'y=H[0]-h',1537,'_181',826,'_197=_181[i][j];if(_197&&_197.format!="null"){','if(_182[j]&&_182[j]=="','l"){x',1258,1551,'r"){x=W[j]-_197.w;}else{x=(W[j]-_197.w)/2;}}',1280,1331,'_197.html,w+x,y-Math.max(0,_197.bh-jsMath.h*_188));}if(i+1<_181',1094,'y+=',1485,'_184[i+1];}}if(_183[j]==null){_183[j]=_188;}w+=W[j]+_183[j];}w=-_183[W',1097,']+_187*_188/3;for(i=0;i<W',826,'w+=W[i]+_183[i];}html=',957,'Spacer(_187*_188/6',')+html+',957,1568,');if(',872,969,'y=h-jsMath.h;}else{y=0;}html=',957,1389,'h+d,d,y,h);var ',1012,1192,'+_187*_188/3,h,d);',1018,'InternalMath',785,'text,size){text=text.replace(/@\\(([^)]*)\\)/g,"<$1>");if(!text.match(/\\$|\\\\\\(/)){',850,'Text(text,"normal","T",size).Styled();}var i=0;var k=0;var c;var _19e="";var _19f=[];var _1a0;var html;var box;while(i<text',1094,'c=text.charAt(i++);if(c','=="$"){if(_19e=="$"){','_1a0=jsMath.Parse(text.slice(k,i-','1','),null,size);if(_1a0.error){_19f[_19f.length]=this.Text(_1a0.error,"error","T",size,1,0.2);}else{_1a0.Atomize();_19f[_19f.length]=_1a0.mlist.Typeset("T",size).Styled();}_19e="";k=i',';}else{','_19f[_19f.length]=this.Text(text.slice(k',',i-1','),"normal","T",size,1,0.2);','_19e="$";k=i;}}else{if(c=="\\\\"){',1589,'=="("&&_19e==""){',1595,',i-2',1597,'_19e=")";k=i;}else{if(c==")"&&_19e==")"){',1591,'2',1593,';}}}}}',1595,1597,850,'SetList(_19f,"T",size);},Set',785,'box',',_1a4,size',',_1a6){if(box&&box.type){','if(box.type=="typeset"){','return box;}if(box.type=="mlist"){box.mlist.Atomize(_1a4,size);return box.mlist.Typeset(_1a4,size);}if(box.type=="text"){box=this.Text(box.text,',1014,1615,',box.ascend||null,box.descend||null',');if(_1a6!=0){box.Styled();}return box;}','box=this.TeX(box.c,box.font',1615,1622,'return jsMath.Box.Null();},SetList',785,'_1a7,_1a8,size){var _1aa=[];var box;',811,'_1a7',826,'box=_1a7[i];',1617,'box=jsMath.mItem.Typeset(box);}_1aa[_1aa.length]=box;}var _1ad=new jsMath.Typeset(_1aa);return _1ad.Typeset(_1a8,size);}});','jsMath.Package(jsMath.','Box,{Styled',803,'if(this.format=="text"){',994,1003,'this.tclass,this.html);',994,1005,1006,'this.style,this.size,this.html);delete this.tclass;delete this.style;this.format="html";}return this;},Remeasured',803,'if(this.w>0){this.w',1008,'this.html).w',937,'this;}});jsMath.mItem=function(type,def){this.type=type;jsMath.Add(this,def);};',801,'mItem,{Atom',785,'type,_1b1){',999,'mItem(type,{atom:1,nuc',':_1b1});},TextAtom',785,'type,text,_1b4,a,d){var atom=new jsMath.',1657,':{type:"text",text:text,tclass:_1b4}});if(a','!=null){atom.nuc.','ascend=a;}if(d',1663,'descend=d',937,'atom;},TeXAtom',785,'type,c,font){',999,1657,':{type:"TeX",c:c,font:font}});},Fraction',785,'name,num,den,_1be,left,_1c0){',999,'mItem("fraction",{from:name,num:num,den:den,thickness:_1be,left:left,right:_1c0});},Space',785,'w){',999,'mItem("space",{w:w});},Typeset',785,'box){',999,'mItem("ord",{atom:1,nuc:box});},HTML',785,'html){',999,'mItem("html",{html:html});}});jsMath.mList=function(list,font,size,_1c7){if(list){this.mlist=list;}else{this.mlist=[];}if(_1c7==null){_1c7="T";}if(size==null){size=4;}this.data={openI:null,overI:null,overF:null,font:font,','size:size,style:_1c7','};this.init={',1690,'};};',1635,'mList,{Add',785,'box){return (this.mlist[','this.mlist.length',']=box);},Get',785,'i){',850,'mlist[i];},Length',803,850,'mlist.length;},Last',803,'if(',1698,1214,850,'mlist[',1698,'-1];},Range',785,'i,j){if(j==null){j=',1698,';}',999,'mList(this.mlist.slice(i,j+1));},De'],
  ['lete',':function(','i,j){if(j==null){j=i;}if(','this.mlist','.splice','){',3,4,'(i,j-i+1',');}else{','var _1ce=[];','for(var ','k=0;k<',3,'.length',';k++){if(k<i||k>j){_1ce[_1ce',14,']=',3,'[k];}}',3,'=_1ce;}},Open',1,'left){','var box','=this.Add(new jsMath.','mItem("boundary",{','data:','this.data','}));var _1d2=',28,';',28,'={};',11,'i in _1d2){',28,'[i]=_1d2[i];}delete ',28,'.overI',';delete ',28,'.overF;',28,'.openI=',3,14,'-1;if(left!=null){box.left=left;}return box;},Close',1,'_1d4){if(_1d4!=null){_1d4','=new jsMath.',26,'right:_1d4});}var atom;var open=',28,'.openI;','var over=this.data.overI;var from=this.data.overF;',28,'=',3,'[open].data;if(over){','atom=jsMath.mItem.Fraction(from.name,{type:"mlist",mlist:this.Range(open+1,over-1)},{type:"mlist",mlist:this.Range(over)},from.thickness,from.left,from.right);','if(_1d4){var _1d9',50,'mList([',3,'[open],atom,_1d4]);atom','=jsMath.mItem.Atom','("inner','",{type:"mlist",mlist:','_1d9});}}else{var _1da=open+1;if(_1d4){this.Add(_1d4);_1da--;}atom',66,'((_1d4)?"inner":"ord',68,'this.Range(_1da)});}this.Delete(open,this.Length());','return this.','Add(atom);},Over',':function(){',55,'var ',60,3,'=[atom];},Atomize',1,'_1de',',size){var ','_1e0;var prev="";','this.style','=_1de;','this.size','=size;',11,'i=0;i<',3,14,';i++){','_1e0=',3,'[i];_1e0','.delta=0;','if(_1e0.type=="choice"){',3,'=this.Atomize.choice(',86,',_1e0,i,',3,');i--;}','else{if(','this.Atomize[_1e0.type',']){var f=',107,'];f(',86,',',88,',_1e0,prev,this,i);}}prev=_1e0;}if(_1e0&&_1e0','.type=="bin"){','_1e0','.type="ord";}','if(',3,14,'>=2&&_1e0.','type=="boundary','"&&',3,'[0].',122,'"){this.','AddDelimiters','(_1de,size);}},',128,1,'_1e4',84,'_1e6=-10000;var h=_1e6;var d=_1e6;',11,'i=0;i<',3,14,94,'var _1ea=',3,'[i];if(_1ea.atom||_1ea.type=="box"){h','=Math.max(','h,_1ea.nuc.h+_1ea.nuc.y);d',143,'d,_1ea.nuc.d-_1ea.nuc.y);}}var TeX','=jsMath.TeX',';var a=','jsMath.Typeset.','TeX(_1e4,size).axis_height;var _1ed',143,'h-a,d+a);var H',143,'Math.floor(','TeX.integer','*_1ed/500)*TeX.delimiterfactor,',155,'*(2*_1ed-TeX.delimitershortfall))/',155,';var left=',3,'[0];var _1f0=',3,'[',3,14,'-1];left.nuc','=jsMath.Box.','Delimiter(H,','left.left',',_1e4);_1f0.nuc',168,169,'_1f0.right',',_1e4);left.type="open";left','.atom=1',40,170,';_1f0.type="close";_1f0',176,40,174,';},','Typeset',1,'_1f1',84,'_1f3',50,184,'(',3,');return _1f3.',184,'(_1f1,size);}});','jsMath.Add(jsMath.','mList.prototype.Atomize,{style',1,'_1f4,size,_1f6,prev,_1f8){_1f8.style=_1f6.style;},size',1,'_1f9,size,_1fb,prev,_1fd){_1fd.size=_1fb.size;},phantom',1,'_1fe,size,_200){',24,'=_200.nuc',168,'Set(','_200.phantom',',_1fe,size);if(_200.h){box','.Remeasured();','box.html=','jsMath.HTML.','Spacer(','box.w',9,'box.html="",box.w=0;}if(!_200.v){','box.h=box.d=0',';}box.bd=box.bh=0',40,208,';_200.type="box";},smash',1,'_202,size,_204){',24,'=_204.nuc',168,'Set(_204.smash,_202,','size).Remeasured();',217,40,'_204.smash;_204.type="box";},raise',1,'_206,size,_208){_208.nuc',168,'Set(_208.nuc,_206',',size);var ','y=_208.raise;_208.nuc.html=',212,'Place(_208.nuc.html,0,y);_208.nuc.h+=y;_208.nuc.d-=y;_208','.type="ord";','_208',176,';},lap',1,'_20a,size,_20c){',24,168,'Set(_20c.nuc,_20a,',228,'var _20e=[box];','if(_20c.lap=="','llap"){','box.x=-box.w',';}else{',251,'rlap"){_20e[1]=','jsMath.mItem.Space','(-box.w',9,251,'ulap"){box.y=box.d;',217,254,251,'dlap"){box.y=-box.h;',217,';}}}}_20c.nuc',168,'SetList(','_20e,_20a,size);',251,'ulap"||_20c.lap=="dlap"){_20c.nuc.h=_20c.nuc.d=0;}_20c.type="box";delete _20c.atom;},bin',1,'_20f,size,_211',',prev){if(prev','&&prev.type){var type=prev.type;if(type=="bin"||type=="op"||type=="rel"||type=="open"||type=="punct"||type==""||(',122,'"&&prev.left!="")){_211.type="ord";}}else{_211',117,'jsMath.mList.prototype.Atomize.SupSub(',274,');},rel',1,'_214,size,_216',275,'.type&&prev',115,'prev',117,280,284,');},close',1,'_218,size,_21a',275,'.type&&prev',115,'prev',117,280,294,');},punct',1,'_21c,size,_21e',275,'.type&&prev',115,'prev',117,280,304,');},open',1,'_220,size,_222','){',280,314,');},inner',1,'_223,size,_225','){',280,320,');},','vcenter',1,'_226,size,_228','){',24,168,'Set(_228.nuc,_226',236,'TeX=',149,'TeX(_226,size);box.y=','TeX.axis_height','-(box.h-box.d)/2;_228.nuc=box;_228',240,280,327,');},','overline',1,'_22b,size,_22d','){var TeX=',149,'TeX(_22b,size);',24,168,'Set(_22d.nuc,',149,'PrimeStyle','(_22b),',228,'var t=','TeX.default_rule_thickness',';var rule',168,'Rule(box.w,t);rule.x=-rule.w;rule.y','=box.h+3*t;_22d.nuc',168,'SetList([box,','rule],_22b,size);_22d.nuc.h+=t;_22d',240,280,344,');},','underline',1,'_232,size,_234','){var TeX=',149,'TeX(_232,size);',24,168,'Set(_234.nuc,',149,352,'(_232),',228,355,356,';var rule',168,359,'=-box.d-3*t-t;_234.nuc',168,362,'rule],_232,size);_234.nuc.d+=t;_234',240,280,370,');},radical',1,'_239,size,_23b','){var TeX=',149,'TeX(_239',236,'Cp=',149,352,'(_239);',24,168,'Set(_23b.','nuc,Cp,',228,355,356,';var p=t;if(_239=="D"||_239=="D\'"){p=TeX.x_height;}var r=t+p/4;var surd',168,'Delimiter(','box.h+box.d','+r+t,[0,2,112,3,112],_239,1);if(surd.d>',414,'+r){r=(r+surd.d-box.h-box.d)/2;}surd.y=box.h+r;var rule',168,'Rule(box.w,t);rule.y=surd.y-t/2;rule.h+=3*t/2;',253,';var Cr=',149,'UpStyle(',149,423,'_239));var root',168,406,'root||null,Cr,',228,'if(_23b.root){root.y=0.55*(',414,'+3*t+r)-box.d;surd.x',143,'root.w-(11/18)*surd.w,0);rule.x=(7/18)*surd.w;root.x=-(root.w+rule.x);}_23b.nuc',168,'SetList([','surd,root,rule,box],_239,size);_23b',240,280,395,');},accent',1,'_246,size',',_248){var TeX=',149,'TeX(_246',236,'Cp=',149,352,'(_246);',24,168,'Set(','_248.nuc',',Cp',236,'u=box.w;var s;var Font;if(_248.','nuc.type=="TeX','"){Font',147,'[',456,'.font];if(','Font[_248.nuc.c].krn','&&Font.skewchar){s=',466,'[Font.skewchar];}}if(s==null){s=0;}var c=_248.accent[2];var font',147,'.fam[_248.accent[1]];Font',147,'[font];while(Font[c].n&&Font[Font[c].n].w<=u){c=Font[c].n;}var _251=Math.min(box.h,TeX.','x_height);','if(_248.',460,'"){var _252',66,'("ord",',456,');_252.sup=_248.sup;_252.sub=_248.sub;_252',98,280,444,',_252);_251+=(_252.nuc.h-box.h);box=',456,'=_252.nuc',40,'_248.sup',40,'_248.sub;}var acc',168,'TeX(c,font,',444,');acc.y=box.h-_251;acc.x=-box.w+s+(u-acc.w)/2;if(Font[c].ic){acc.x-=Font[c].ic*TeX.scale;}',456,168,362,'acc],',444,');if(',456,'.w!=box.w){var _254=',257,'(box.w-',456,'.w);',456,168,437,456,',_254],',444,');}_248',240,280,444,',_248);},op',1,'_255,size',',_257){var TeX=',149,'TeX(',520,');',24,';_257',98,'var isD=(_255','.charAt(0)=="','D");if','(_257.limits','==null&&isD){_257.limits=1;}if(_257.',460,'"){var C',147,'[','_257.nuc','.font][',538,'.c];if(isD&&C.n){',538,'.c=C.n;C',147,'[',538,'.font][C.n];}box=',538,168,'Set(_257.nuc,_255,size',');if(C.ic){_257','.delta=C.ic*TeX.scale;if',532,'||!_257.sub||','jsMath.Browser.msieIntegralBug','){box=',538,168,362,257,'(_257','.delta)],',520,');}}box.y=-((',414,')/2-box.d-',336,');if(Math.abs(box.y)<0.0001){box.y=0;}}if(!box',556,538,168,550,').Remeasured();}if',532,'){var W=box.w;var x=box.w;var _25e=[box];var dh=0;var dd=0;if(_257.sup){var sup',168,'Set(_257.','sup,',149,423,'_255),',228,'sup.x=((box.w-sup.w)/2+','_257.delta/2)-x;','dh=TeX.big_op_spacing5;W',143,'W,sup.w);x+=sup.x+sup.w;sup.y=box.h+sup.d+box.y+Math.max(TeX.big_op_spacing1,TeX.big_op_spacing3-sup.d);_25e[_25e',14,']=sup',40,'_257.sup;}if(_257.sub){var sub',168,577,'sub,',149,'DownStyle','(_255),',228,'sub.x=((box.w-sub.w)/2-',584,'dd=TeX.big_op_spacing5;W',143,'W,sub.w);x+=sub.x+sub.w;sub.y=-box.d-sub.h+box.y-Math.max(TeX.big_op_spacing2,TeX.big_op_spacing4-sub.h);_25e[_25e',14,']=sub',40,'_257.sub;}if(W>box.w){box.x=(W-box.w)/2;x+=box.x;}if(x<W){_25e[_25e',14,']=',257,'(W-x);}',538,168,269,'_25e,',520,');',538,'.h+=dh;',538,'.d+=dd;}',106,555,'&&_257.sub&&C&&C.ic){',538,168,362,'jsMath.Box.','Space(-C.ic*TeX.scale)],',520,9,'if(box.y){',538,168,437,'box],',520,');}}',280,520,',_257);}},ord',1,'_263,size,_265',',prev,_267,i){if(_265.',460,'"&&!_265.sup&&!_265.sub){var _269=','_267.mlist','[i+1];if(_269&&_269.atom&&_269.type&&(_269.type=="ord','"||_269.type=="','op',649,'bin',649,'rel',649,'open',649,'close',649,'punct")){if(_269.',460,'"&&_269.nuc.font==_265.nuc.font){_265.textsymbol=1;var krn',147,'[_265.nuc.font][_265.nuc.c].krn;krn*=',149,'TeX(_263,size).scale;if(krn&&krn[_269.nuc.c]){',11,'k=',647,14,'-1;k>i;k--){',647,'[k+1]=',647,'[k];}',647,'[i+1]=',257,'(krn[_269.nuc.c]);}}}}',280,643,');},fraction',1,'_26c,size,_26e','){var TeX=',149,'TeX(_26c',236,'t=0;if(_26e.thickness!=null){t=_26e.thickness;}',106,'_26e.from.match(/over/)){t=',356,';}}var isD=(_26c',530,'D");var Cn=(_26c=="D")?"T":(_26c=="D\'")?"T\'":',149,423,'_26c);var Cd=(isD)?"T\'":',149,596,'(_26c);var num',168,'Set(_26e.','num,Cn,',228,'var den',168,703,'den,Cd,',228,'var u;var v;var w;var H=(isD)?TeX.delim1:TeX.delim2;var _27a=[',628,169,'_26e.left,_26c)];var _27b',168,169,'_26e.right,_26c);if(num.w<den.w){num.x=(den.w-num.w)/2;den.x=-(num.w+num.x);w=den.w;_27a[1]=num;_27a[2]=den',254,'den.x=(num.w-den.w)/2;num.x=-(den.w+den.x);w=num.w;_27a[1]=den;_27a[2]=num;}if(isD){u=TeX.num1;v=TeX.denom1',254,'u=(t!=0)?TeX.num2:TeX.num3;v=TeX.denom2;}if(t==0){var p=(isD)?7*',356,':3*',356,';var r=(u-num.d)-(','den.h-v);if(r<p){','u+=(p-r)/2;v+=(p-r)/2;}}else{var p=(isD)?3*t:t',148,336,725,'a+t/2);if(r<p){u+=p-r;}r=(a-t/2)-(',726,'v+=p-r;}var rule',168,'Rule(w,t);rule.x=-w;rule.y=a-t/2;_27a[_27a',14,']=rule;}num.y=u;den.y=-v;_27a[_27a',14,']=_27b;_26e.nuc',168,269,'_27a,_26c,size);_26e',240,'_26e',176,40,'_26e.num',40,'_26e.den;',280,684,');},SupSub',1,'_282,size',',_284){var TeX=',149,'TeX(_282',236,'nuc=','_284.nuc',';',24,'=',760,168,'Set(',760,',',754,',0);if(box.format=="null"){box=',760,168,'Text("","normal",',754,');}if(',460,'"){if(!_284.textsymbol){var C',147,'[nuc.font][nuc.c];if(C.ic){_284',552,'(!','_284.sub',556,760,168,362,628,'Space(_284',562,754,');_284.delta=0;}}}else{_284.delta=0;}}if(!_284.sup&&!',782,'){return;}',760,'.Styled();var Cd=',149,596,'(_282);var Cu=',149,423,'_282);var q=',149,'TeX(Cu,size).','sup_drop;var r=',149,'TeX(Cd,size).','sub_drop;var u=0;var v=0;var p;if(nuc.type&&nuc.type!="text"&&nuc.type!="TeX"&&nuc.type!="null"){u=box.h-q;v=box.d+r;}if(',782,'){var sub',168,'Set(',782,',Cd,size);sub',168,437,594,257,'(TeX.scriptspace)],_282,size',');}if(!_284.sup){sub.y=-Math.max(v,TeX.sub1,sub.h-(4/5)*',149,806,474,760,168,362,'sub],',754,').Styled();delete ',782,';return;}var sup',168,'Set(_284.sup,Cu,size);sup',168,437,'sup,',257,818,');if(_282=="D"){p=TeX.sup1;}',106,'_282','.charAt(','_282',14,'-1)=="\'"){','p=TeX.sup3',254,'p=TeX.sup2;}}u',143,'u,p,sup.d+',149,803,'x_height/4);if(!',782,'){sup.y=u;',760,168,362,'sup],',754,');delete _284.sup;return;}v',143,'v,',149,806,'sub2);',355,356,';if((u-sup.d)-(sub.h-v)<4*t){v=4*t+sub.h-(u-sup.d);p=(4/5)*TeX.x_height-(u-sup.d);if(p>0){u+=p;v-=p;}}sup',210,'sub',210,'sup.y=u;sub.y=-v;sup.x=_284.delta;if(sup.w+sup.x>sub.w){sup.x-=sub.w;',760,168,362,594,'sup],',754,9,'sub.x-=(sup.w+sup.x);',760,168,362,'sup,sub],',754,');}delete _284.sup',40,782,';}});jsMath.',184,'=function(_293){this.type="typeset";',3,'=_293;};',196,184,',{upStyle:{D:"S",T:"S","','D\'":"S\'","T\'":"S\'",S:"SS','",SS:"SS","','S\'":"SS\'","SS\'":"SS\'"},','downStyle',':{D:"S\'",T:"S\'","',897,'\'",SS:"SS\'","',899,'UpStyle',1,'_294){',74,'upStyle[_294];},',596,1,'_295){',74,900,'[_295];},',352,1,'_296){if(_296',841,'_296',14,844,'return _296;}return _296+"\'";},StyleValue',1,'_297,v){if(_297=="S"||_297=="S\'"){return 0.7*v;}if(_297=="SS"||_297=="SS\'"){return 0.5*v;}return v;},StyleSize',1,'_299,size){if(_299=="S"||_299=="S','\'"){size=Math.max(0,size-','2',9,'if(_299=="SS"||_299=="SS',928,'4);}}return ','size;},TeX',1,'_29b,size){if(_29b=="S"||_29b=="S',928,'2',9,'if(_29b=="SS"||_29b=="SS',928,933,'jsMath.TeXparams[size];},AddStyle',1,'_29d,size,html){if(_29d=="S"||_29d=="S',928,'2',9,'if(_29d=="SS"||_29d=="SS',928,'4);}}if(size!=4){html="<span class=\\"size"+size+"\\">"+html+"</span>";}return html;},AddClass',1,'_2a0,html){if(_2a0!=""&&_2a0!="normal"){html=',212,'Class(_2a0,html);}return html;}});','jsMath.Package(jsMath.',184,',{DTsep:{ord',':{op:1,bin:2,rel:3,inner:1},','op',':{ord:1,op:1',',rel:3,inner:1},bin:{ord:2,op:2,open:2,inner:2},rel:{ord:3,op:3,open:3,inner:3},open:{},close',959,'punct',961,',rel:1,open:1,close',':1,punct:1,inner:1','},inner',961,',bin:2,rel:3,open',967,'}},SSsep:{ord:{op:1},op',961,'},bin:{},rel:{},open:{},close:{op:1},punct:{},inner:{op:1}},sepW:["","thinmuskip","medmuskip","thickmuskip"],','GetSeparation',1,'l,r,_2a4){if(l&&l.atom&&r.atom){var _2a5=this.DTsep;if(_2a4',530,'S"){_2a5=this.SSsep;}var row=_2a5[l.type];if(row&&row[r.type]!=null){return jsMath.TeX[this.sepW[row[r.type]]];}}return 0;},',184,1,'_2a7,size){',86,'=_2a7;',88,89,'var _2a9=-10000;this.w=0;this.h=_2a9;this.d=_2a9;this.bh=this.h;this.bd=this.d;this.tbuf="";this.tx=0;','this.tclass','="";','this.cbuf','="";this.hbuf="";this.hx=0;var _2aa=null;var prev;this.x=0;this.dx=0;',11,'i=0;i<',3,14,94,'prev=_2aa;_2aa=',3,'[i];switch(_2aa.type){case "size":','this.FlushClassed();',88,'=_2aa.size;','_2aa=prev;break;case "','style":',1000,'if(',86,841,86,14,844,86,'=_2aa.style','+"\'";}else{',86,1013,';}',1003,'space":if(typeof (_2aa.w)=="object"){if(',86,841,'1)=="','S"){_2aa.w=0.','5*','_2aa.w[0]/18',';}',106,86,530,1023,'7*',1025,254,'_2aa.w=',1025,';}}}this.dx+=_2aa.w-0;',1003,'html":',1000,'if(this.hbuf==""){this.hx=this.','x;}','this.hbuf+=','_2aa.html;_2aa=prev;break;default:if(!_2aa.atom&&_2aa.type!="box"){break;}','_2aa.nuc.','x+=this.dx+this.',975,'(prev,_2aa,',86,');if(',1044,'y||',1044,'x){',1044,'Styled();}this.dx=0;this.x=this.x+this.w;this.w+=',1044,'w+',1044,'x;if(',1044,'format=="text"){if(',988,'!=',1044,'tclass','&&',988,'!=""){','this.FlushText','();}','if(this.tbuf','==""&&',990,'==""){this.tx=this.x;}this.tbuf+=',1044,'html;',988,'=',1044,1065,254,1000,'if(',1044,'x||',1044,'y){this.Place(_2aa.nuc);}',1040,'x;}',1042,1044,'html;}this.h',143,'this.h,',1044,'h+',1044,'y);this.bh',143,'this.bh,',1044,'bh);this.d',143,'this.d,',1044,'d-',1044,'y);this.bd',143,'this.bd,',1044,'bd);break;}}',1000,'if(this.dx){',1042,212,213,'this.dx);this.w+=this.dx;}if(this.hbuf==""){return ',628,'Null();}if(this.h==_2a9){this.h=0;}if(this.d==_2a9){this.d=0;}',24,50,'Box("html",this.hbuf,this.w,this.h,this.d);box.bh=this.bh;box.bd=this.bd;return box;},FlushText',76,1071,'==""){return;}',990,'+=',149,'AddClass(',988,',this.tbuf);this.tbuf="";',988,'="";},FlushClassed',76,1069,'();if(',990,1126,1040,'tx;}',1042,149,'AddStyle(',86,',',88,',',990,');',990,'="";},Place',1,'item){var ','html="<span style=\\"position: relative',';";if(item.x){html+=" margin-left:"+',212,'Em(item.x)+";";}if(item.y){html+=" top:"+',212,'Em(-item.y',')+";";}item.html=html+"\\">"+','item.html+"</span','>";','item.h+=item.y;item.d-=item.y;item.x=0;item.y=0',';},PlaceSeparateSkips',1,'item){if(item.y){item.',1155,'; "+"top:"+',212,1160,')+";"+"\\">"+',1162,'>";}if(item.x){item.html=',212,213,'item.x)+item.html;}',1164,889,'Parse','=function(s,font,size,','_2b4){var _2b5',50,'Parser(s,font,size,_2b4);_2b5.Parse();return _2b5;};jsMath.Parser',1181,'_2b9){this.string=s;this.i=0;',3,50,'mList(null,font,size,_2b9);};',956,'Parser,{cmd:"\\\\",open:"{",close:"}",letter:/[a-z]/i,number:/[0-9]/,scriptargs:/^((math|text)..|mathcal|[hm]box)$/,mathchar:{"!":[5,0,33],"(":[4,0,40],")":[5,0,41],"*":[2,2,3],"+":[2,0,43],",":[6,1,59],"-":[2,2,0],".":[0,1,58],"/":[0,1,61],":":[3,0,58],";":[6,0,59],"<":[3,1,60],"=":[3,0,61],">":[3,1,62],"?":[5,0,63],"[":[4,0,91],"]":[5,0,93],"|":[0,2,106]},special:{"~":"Tilde","^":"HandleSuperscript","_":"HandleSubscript"," ":"Space","\\x01','":"Space","\\','t',1192,'r',1192,'n":"Space","\'":"Prime","%":"HandleComment","&":"HandleEntry","#":"Hash"},mathchardef:{braceld:[0,3,122],bracerd:[0,3,123],bracelu:[0,3,124],braceru:[0,3,125],alpha:[0,1,11],beta:[0,1,12],gamma:[0,1,13],delta:[0,1,14],epsilon:[0,1,15],zeta:[0,1,16],eta:[0,1,17],theta:[0,1,18],iota:[0,1,19],kappa:[0,1,20],lambda:[0,1,21],mu:[0,1,22],nu:[0,1,23],xi:[0,1,24],pi:[0,1,25],rho:[0,1,26],sigma:[0,1,27],tau:[0,1,28],upsilon:[0,1,29],phi:[0,1,30],chi:[0,1,31],psi:[0,1,32],omega:[0,1,33],varepsilon:[0,1,34],vartheta:[0,1,35],varpi:[0,1,36],varrho:[0,1,37],varsigma:[0,1,38],varphi:[0,1,39],Gamma:[7,0,0],Delta:[7,0,1],Theta:[7,0,2],Lambda:[7,0,3],Xi:[7,0,4],Pi:[7,0,5],Sigma:[7,0,6],Upsilon:[7,0,7],Phi:[7,0,8],Psi:[7,0,9],Omega:[7,0,10],aleph:[0,2,64],imath:[0,1,123],jmath:[0,1,124],ell:[0,1,96],wp:[0,1,125],Re:[0,2,60],Im:[0,2,61],partial:[0,1,64],infty:[0,2,49],prime:[0,2,48],emptyset:[0,2,59],nabla:[0,2,114],surd:[1,2,112],top:[0,2,62],bot:[0,2,63],triangle:[0,2,52],forall:[0,2,56],exists:[0,2,57],neg:[0,2,58],lnot:[0,2,58],flat:[0,1,91],natural:[0,1,92],sharp:[0,1,93],clubsuit:[0,2,124],diamondsuit:[0,2,125],heartsuit:[0,2,126],spadesuit:[0,2,127],coprod:[1,3,96],bigvee:[1,3,87],bigwedge:[1,3,86],biguplus:[1,3,85],bigcap:[1,3,84],bigcup:[1,3,83],intop:[1,3,82],prod:[1,3,81],sum:[1,3,80],bigotimes:[1,3,78],bigoplus:[1,3,76],bigodot:[1,3,74],ointop:[1,3,72],bigsqcup:[1,3,70],smallint:[1,2,115],triangleleft:[2,1,47],','triangleright',':[2,1,46],bigtriangleup:[2,2,52],bigtriangledown:[2,2,53],wedge:[2,2,94],land:[2,2,94],vee:[2,2,95],lor:[2,2,95],cap:[2,2,92],cup:[2,2,91],ddagger:[2,2,122],dagger:[2,2,121],sqcap:[2,2,117],sqcup:[2,2,116],uplus:[2,2,93],amalg:[2,2,113],diamond:[2,2,5],bullet:[2,2,15],wr:[2,2,111],div:[2,2,4],odot:[2,2,12],oslash:[2,2,11],otimes:[2,2,10],ominus:[2,2,9],oplus:[2,2,8],mp:[2,2,7],pm:[2,2,6],circ:[2,2,14],bigcirc:[2,2,13],setminus:[2,2,110],cdot:[2,2,1],ast:[2,2,3],times:[2,2,2],star:[2,1,63],propto:[3,2,47],sqsubseteq:[3,2,118],sqsupseteq:[3,2,119],parallel:[3,2,107],mid:[3,2,106],dashv:[3,2,97],vdash:[3,2,96],leq:[3,2,20],le:[3,2,20],geq:[3,2,21],ge:[3,2,21],lt:[3,1,60],gt:[3,1,62],succ:[3,2,31],prec:[3,2,30],approx:[3,2,25],succeq:[3,2,23],preceq:[3,2,22],supset:[3,2,27],subset:[3,2,26],supseteq:[3,2,19],subseteq:[3,2,18],"in":[3,2,50],ni:[3,2,51],owns:[3,2,51],gg:[3,2,29],ll:[3,2,28],not:[3,2,54],sim:[3,2,24],simeq:[3,2,39],perp:[3,2,63],equiv:[3,2,17],asymp:[3,2,16],smile:[3,1,94],frown:[3,1,95],Leftrightarrow:[3,2,44],Leftarrow:[3,2,40],Rightarrow:[3,2,41],leftrightarrow:[3,2,36],','leftarrow',':[3,2,32],gets:[3,2,32],rightarrow:[3,2,33],to:[3,2,33],','mapstochar',':[3,2,55],leftharpoonup:[3,1,40],','leftharpoondown',':[3,1,41],rightharpoonup:[3,1,42],rightharpoondown:[3,1,43],nearrow:[3,2,37],searrow:[3,2,38],nwarrow:[3,2,45],swarrow:[3,2,46],minuschar:[3,2,0],hbarchar:[0,0,22],lhook:[3,1,44],rhook:[3,1,45],ldotp:[6,1,58],cdotp:[6,2,1],colon:[6,0,58],"#":[7,0,35],"$":[7,0,36],"%":[7,0,37],"&":[7,0,38]},delimiter:{"(":[0,0,40,3,0],")":[0,0,41,3,1],"[":[0,0,91,3,2],"]":[0,0,93,3,3],"<":[0,2,104,3,10],">":[0',',2,105,3,11],"\\\\','lt":[0',',2,104,3,10],"\\\\','gt":[0,2,105,3,11],"/":[0,0,47,3,14],"|":[0,2,106,3,12],".":[0,0,0,0,0],"\\\\":[','0,2,110,3,15],"\\\\','lmoustache":[4,3,122,3,64],"\\\\rmoustache":[5,3,123,3,65],"\\\\lgroup":[4,6,40,3,58],"\\\\rgroup":[5,6,41,3,59],"\\\\arrowvert','":[0,2,106,3,','60],"\\\\Arrowvert":[0,2,107,3,61],"\\\\bracevert',1212,'62],"\\\\Vert":[0,2,107,3,13],"\\\\|":[0,2,107,3,13],"\\\\vert',1212,'12],"\\\\uparrow":[3,2,34,3,120],"\\\\downarrow":[3,2,35,3,121],"\\\\updownarrow":[3,2,108,3,63],"\\\\Uparrow":[3,2,42,3,126],"\\\\Downarrow":[3,2,43,3,127],"\\\\Updownarrow":[3,2,109,3,119],"\\\\backslash":[',1210,'rangle":[5',1206,'langle":[4',1208,'rbrace":[5,2,103,3,9],"\\\\lbrace":[4,2,102,3,8],"\\\\}":[5,2,103,3,9],"\\\\{":[4,2,102,3,8],"\\\\rceil":[5,2,101,3,7],"\\\\lceil":[4,2,100,3,6],"\\\\rfloor":[5,2,99,3,5],"\\\\lfloor":[4,2,98,3,4],"\\\\lbrack":[0,0,91,3,2],"\\\\rbrack":[0,0,93,3,3]},macros:{displaystyle',':["HandleStyle","','D"],textstyle',1224,'T"],scriptstyle',1224,'S"],scriptscriptstyle',1224,'SS"],rm',':["HandleFont",','0],mit',1232,'1],oldstyle',1232,'1],cal',1232,'2],it',1232,'4],bf',1232,'6],font',':["Extension","','font"],left:"HandleLeft",right:"HandleRight",arcsin',':["NamedOp",0],','arccos',1246,'arctan',1246,'arg',1246,'cos',1246,'cosh',1246,'cot',1246,'coth',1246,'csc',1246,'deg',1246,'det',':"NamedOp",','dim',1246,'exp',1246,'gcd',1266,'hom',1246,'inf',1266,'ker',1246,'lg',1246,'lim',1266,'liminf',':["NamedOp",null,"lim<span style=\\"margin-left: "+1/6+"em\\"></span>','inf"],limsup',1284,'sup"],ln',1246,'log',1246,'max',1266,'min',1266,'Pr',1266,'sec',1246,'sin',1246,'sinh',1246,'sup',1266,'tan',1246,'tanh',1246,325,':["HandleAtom","',325,'"],',342,1310,342,'"],',368,1310,368,'"],over',':"HandleOver",','overwithdelims',1321,'atop',1321,'atopwithdelims',1321,'above',1321,'abovewithdelims',1321,'brace',':["HandleOver','","\\\\{","\\\\}"],brack',1333,'","[","]"],choose',1333,'","(",")"],overbrace',':["Extension","leaders"],','underbrace',1339,'overrightarrow',1339,'underrightarrow',1339,'overleftarrow',1339,'underleftarrow',1339,'overleftrightarrow',1339,'underleftrightarrow',1339,'overset',1244,'underset-overset"],','underset',1244,1356,'llap',':"HandleLap",','rlap',1361,'ulap',1361,'dlap',1361,'raise:"RaiseLower",lower:"RaiseLower",moveleft',':"MoveLeftRight",','moveright',1369,'frac:"Frac",root:"Root",sqrt:"Sqrt",hbar',':["Macro","\\\\','hbarchar\\\\kern-.5em h"],ne',1373,'not="],neq',1373,'not="],notin',1373,'mathrel{\\\\','rlap{\\\\kern2mu/}}\\\\in"],cong',1373,1380,'lower2mu{\\\\','mathrel','{{\\\\rlap{=}\\\\raise6mu\\\\sim}}}}"],bmod',1373,'mathbin{\\\\rm mod}"],pmod',1373,'kern 18mu ({\\\\rm mod}\\\\,\\\\,#1)",1],"int":["Macro","\\\\intop\\\\nolimits"],oint',1373,'ointop\\\\nolimits"],doteq',1373,'buildrel\\\\textstyle.\\\\over="],ldots',1373,'mathinner{\\\\','ldotp\\\\ldotp\\\\ldotp}"],cdots',1373,1396,'cdotp\\\\cdotp\\\\cdotp}"],vdots',1373,1396,'rlap{\\\\raise8pt{.\\\\rule 0pt 6pt 0pt}}\\\\rlap{\\\\raise4pt{.}}.}"],ddots',1373,1396,'kern1mu\\\\raise7pt{\\\\rule 0pt 7pt 0pt .}\\\\kern2mu\\\\raise4pt{.}\\\\kern2mu\\\\raise1pt{.}\\\\kern1mu}"],joinrel',1373,1380,'kern-4mu}"],relbar',1373,1380,'smash-}"],Relbar',1373,1385,'="],bowtie',1373,1385,'\\\\',1198,'\\\\joinrel\\\\',1385,'\\\\triangleleft"],models',1373,1385,'|\\\\joinrel="],mapsto',1373,1380,1202,'\\\\rightarrow}"],rightleftharpoons',1373,325,'{\\\\',1380,'rlap{\\\\raise3mu{\\\\rightharpoonup}}}\\\\',1204,'}"],hookrightarrow',1373,'lhook','\\\\joinrel\\\\rightarrow','"],hookleftarrow',1373,'leftarrow\\\\joinrel\\\\','rhook"],Longrightarrow',1373,'Relbar',1420,'Rightarrow"],','longrightarrow',1373,'relbar',1439,'"],longleftarrow',1373,1442,'relbar"],Longleftarrow',1373,'Leftarrow\\\\joinrel\\\\','Relbar"],longmapsto',1373,1380,1202,'\\\\minuschar',1439,'}"],longleftrightarrow',1373,1200,1439,'"],','Longleftrightarrow',1373,1457,1447,'iff:["Macro","\\\\;\\\\',1469,'\\\\;"],mathcal',':["Macro","{\\\\','cal #1}",1],mathrm',1476,'rm #1}",1],mathbf',1476,'bf #1}",1],','mathbb',1476,1481,'mathit',1476,'it #1}",1],textrm',1373,'mathord{\\\\hbox{#1}}",1],textit',1373,'mathord{\\\\class{','textit','}{\\\\hbox{#1}}}",1],','textbf',1373,1491,1494,1493,'pmb',1373,'rlap{#1}\\\\kern1px{#1}",1],TeX:["Macro","T\\\\kern-.1667em\\\\lower.5ex{E}\\\\kern-.125em X"],limits:["Limits",1],nolimits:["Limits",0],",":["Spacer",1/6],":":["Spacer",1/6],">":["Spacer",2/9],";":["Spacer",5/18],"!":["Spacer",-1/6],enspace:["Spacer",1/2],quad:["Spacer",1],qquad:["Spacer",2],thinspace:["Spacer",1/6],negthinspace:["Spacer",-1/6],hskip:"Hskip",kern:"Hskip",rule:["Rule","colored"],space:["Rule","blank"],big',':["MakeBig","','ord",0.85],Big',1502,'ord",1.15],bigg',1502,'ord",1.45],Bigg',1502,'ord",1.75],bigl',1502,'open",0.85],Bigl',1502,'open",1.','15],biggl',1502,1513,'45],Biggl',1502,1513,'75],bigr',1502,'close",0.85],Bigr',1502,'close",1.','15],biggr',1502,1524,'45],Biggr',1502,1524,'75],bigm',1502,'rel",0.85],Bigm',1502,'rel",1.15],biggm',1502,'rel",1.45],Biggm',1502,'rel",1.75],mathord',1310,'ord"],mathop',1310,'op"],mathopen',1310,'open"],mathclose',1310,'close"],mathbin',1310,'bin"],',1385,1310,'rel"],mathpunct',1310,'punct"],mathinner',1310,'inner"],','mathchoice',1244,1557,'"],buildrel:"BuildRel",hbox:"HBox",text:"HBox",mbox:"HBox",fbox',1244,'fbox"],strut:"Strut",mathstrut',1373,'vphantom{(}"],phantom:["Phantom",1,1],vphantom:["Phantom",1,0],hphantom:["Phantom",0,1],smash:"Smash",acute',':["MathAccent",[7,0,','19]],grave',1565,'18]],ddot',1565,'127]],tilde',1565,'126]],bar',1565,'22]],breve',1565,'21]],check',1565,'20]],hat',1565,'94]],vec',':["MathAccent",[0,','1,126]],dot',1565,'95]],widetilde',1581,'3,101]],widehat',1581,'3,98]],"_":["','Replace","ord','","_","normal",-0.4,0.1]," ":["',1589,'","&nbsp;","normal"],angle:["',1589,'","&#x2220;","normal"],matrix:"Matrix",array:"Matrix",pmatrix:["Matrix","(",")","c"],cases:["Matrix","\\\\{",".",["l","l"],null,2],eqalign',':["Matrix",null,null,["','r","l"],[5/18],3,"D"],displaylines',1595,'c"],null,3,"D"],cr:"HandleRow","\\\\":"HandleRow",newline:"HandleRow",noalign:"HandleNoAlign",eqalignno',1595,'r","l","r"],[5/8,3],3,"D"],','leqalignno',1595,1600,'begin:"Begin",end:"End",tiny',':["HandleSize",','0],Tiny',1605,'1],scriptsize',1605,'2],small:["H'],
  ['andleSize",3],normalsize',':["HandleSize",','4],large',1,'5],Large',1,'6],LARGE',1,'7],huge',1,'8],Huge',1,'9],dots:["','Macro','","\\\\ldots"],','newcommand',':["Extension","',15,'"],newenvironment',16,15,'"],def',16,15,'"],color',16,'HTML"],','href',16,'HTML"],"class":["','Extension','","',26,'style',16,26,'cssId',16,26,'unicode',16,26,'bbox',16,'bbox"],require:"Require","char":"Char"},','environments',':{array:"Array",matrix',':["Array",null,null,"','c"],pmatrix:["Array","(",")","c"],bmatrix:["Array","[","]","c"],Bmatrix:["Array","\\\\{","\\\\}","c"],vmatrix:["Array","\\\\vert","\\\\vert","c"],Vmatrix:["Array","\\\\Vert","\\\\Vert","c"],cases:["Array","\\\\{",".","ll",null,2],eqnarray',47,'rcl",[5/18,5/18],3,"D"],align',16,'AMSmath"],"','align*":["',30,'","AMSmath','"],','multline',16,52,57,'*":["',30,55,'"],split',16,'AMSmath"],gather',16,52,'gather*":["',30,55,'"]},AddSpecial',':function','(obj){','for(var id in obj){','jsMath.Parser.prototype','.special[',76,'[id]]=obj[id];}},Error',73,'(s){this.i','=this.','string.','length;','if(s','.error){','this.error','=s.error;}else{if(!this',86,87,'=s;}}},nextIsSpace',73,'(){','return ','this.string.charAt(this.i',')==" ";},trimSpaces',73,'(text){','if(typeof (','text)!="string"){',94,'text;}',94,'text','.replace(/^\\s+|\\s','+/g,"");},','Process',73,'(arg','){var ','data=','this.mlist.','data;','arg=','jsMath.','Parse(arg,','data.font',',','data.size',',data.style',');if(arg',86,'this.Error(','arg);','return null;}','if(arg.mlist.Length()==','0){',125,126,'1',110,'atom=','arg.mlist.','Last();if(','atom','.atom&&','atom.type=="ord"&&atom.nuc&&!atom.sub&&!atom.sup&&(','atom.nuc.type=="','text"||',138,'TeX")){',94,'atom.nuc;}}return {type:"mlist",mlist:arg.mlist};},','GetCommand',73,'(){var ','_2c1=/^([a-z]+|.) ?/i;var cmd=_2c1.exec(','this.string.slice(','this.i));','if(cmd){this.i+=cmd[1].',84,94,'cmd[1];}','this.i++;','return " ";},','GetArgument',':function(name',',','_2c4){','while','(this.nextIsSpace()){this.i','++;}if(this.i>=','this.string','.length){','if(!',159,'this.Error("','Missing',' argument for "+name);}',125,'if(',95,')==this.','close){if(!',159,167,'Extra close brace','");}',125,'if(',95,173,'cmd){',154,94,'this.cmd+','this.',144,'();}if(',95,')!=','this.open){',94,95,'++);}var j','=++this.i;var ','_2c6=1;var c="";',160,'(this.i<this.string.length){','c=',95,'++);','if(c==this.cmd){','this.i','++;}else{if(c','==',192,'_2c6',205,'==this.close){if(','_2c6==0){',167,177,'");',125,'if(--',211,94,148,'j,this.i-1);}}}}}',167,'Missing close brace','");',94,'null;},ProcessArg',157,'){var arg=this.',156,'(','name);','if(this.error){return',' null;}','return this.Process(arg);},','ProcessScriptArg',157,227,156,'(',230,231,232,'if(arg.charAt(0',173,'cmd',110,'_2cc=arg.substr(1);if(_2cc=="frac"){arg+="{"+this.',156,'(_2cc)+"}";',231,232,'arg+="{"+this.',156,'(_2cc)+"}";',231,' null;}}else{if(_2cc','=="sqrt"){arg+="["+this.','GetBrackets','(_2cc)+"]";',231,232,'arg+="{"+this.',156,'(_2cc)+"}";',231,255,'.match(this.scriptargs)){arg+="{"+this.',156,'(_2cc)+"}";',231,' null;}}}}}',233,'GetDelimiter',157,'){',160,161,'++;}var c=',95,');if',199,154,203,'c="\\\\"+this.',144,'(',230,231,' null;}}','if(','this.delimiter[','c]!=null){',94,290,'c];}}',167,168,' or unrecognized delimiter for "+','name);return null;},','GetDimen',157,',nomu',110,'rest;var _2d2=0;if',161,'++;}if(',95,')=="{"){rest',82,156,'(name);}else{rest=',148,'this.i);_2d2=1;}',94,'this.','ParseDimen','(rest,name,_2d2,nomu);},',315,73,'(_2d3,name,_2d5,nomu',110,'_2d7=_2d3.match(/^\\s*([-+]?(\\.\\d+|\\d+(\\.\\d*)?))(pt|em|ex|mu|px)/);if(!_2d7){',167,168,' dimension or its units for "+',230,125,'if(_2d5){this.i+=_2d7[0].',84,'if',161,'++;}}var d=_2d7[1]-0;if(_2d7[4]=="px"){d/=',115,'em',';}else{if(_2d7[4]=="','pt"){d/=10',334,'ex"){d*=','jsMath.TeX.','x_height',334,'mu"){if(nomu){d=d/18;}else{d=[d,"mu"];}}}}}',94,'d;},GetNext',73,'(){',160,161,'++;}',94,95,');},',257,157,110,'c',82,'GetNext();if(c','!="["){return "";}var _2db',196,'_2dc=0;',160,199,'var c=',95,'++);if(c=="{"){','_2dc',205,'=="}"){','if(_2dc==0){',167,177,' while looking for',' \']\'");',125,'_2dc--;}else{',203,'this.i',205,'=="]"){',369,94,148,'_2db,this.i-1);}}}}}}',167,'Couldn\'t find',' closing \']\' for argument to "+',186,298,'GetUpto',157,',_2df){',160,161,'++;}var _2e0',82,'i;var _2e1=0;',160,199,'var c=',95,365,'_2e1',205,'=="}"){','if(_2e1==0){',167,177,372,' "+',186,'_2df);',125,'_2e1--;}else{',203,'if(',148,'this.i,this.i+','5)=="begin"){_2e1++;this.i+=4;}else{if(',148,417,'3)=="end"){if(_2e1>0){_2e1--;this.i+=2;}}}',405,'if(',148,417,'_2df.length)==_2df){c=',95,'+_2df.length);if(c.match(/[^a-z]/i)||!_2df.match(/[a-z]/i)){var arg=',148,'_2e0,this.i-1);this.i+=_2df.',84,94,'arg;}}}this.i++;}}}}',167,385,' "+',186,'_2df+" for "+',298,'ProcessUpto',157,',_2e5',227,389,'(name,_2e5);',231,232,233,'GetEnd',73,'(env',110,'body="";var name="";',160,'(name!=env){body+=this.',389,'("begin{"+env+"}","end");',231,232,'name',82,156,'(this.cmd+"','end");',231,288,94,'body;},Space',73,'(){},','Prime',73,'(c',110,'base=',112,134,'base==null||(!base',136,'base.type!="','box"&&',480,'frac")){base=','this.mlist.Add(jsMath.mItem.','Atom("ord",{type:null}));}','if(base.sup){',167,'Prime causes double exponent',': use braces to clarify");return',';}var ','sup="";',160,'(c=="\'"){sup+=this.cmd+"prime";c',82,357,'=="\'"){this.i++;}}base.sup',82,107,'(sup);','base.sup.isPrime','=1;},RaiseLower',157,110,'h','=this.GetDimen(this.cmd+name',',1);',231,490,'box',82,234,'(this.cmd+name);if(this.error){return',';}if(name=="','lower"){h=-h;}',112,'Add(new jsMath.mItem("','raise",{nuc:box,raise:h}));},MoveLeftRight',157,110,'x',505,506,231,490,'box','=this.ProcessArg',512,513,'moveleft"){x=-x;}',484,'Space(x));',484,'Atom("ord",box));',484,'Space(-x));},Require',157,110,'file',82,156,512,';}file=',115,30,'.URL(file);if(','jsMath.Setup.','loaded[file',']){','return;}','this.',30,'(null,[','file]);},',30,157,',data){','jsMath.Translate','.restart=1;if(name','!=null){','delete ',76,'[data[1]||"macros"][name];}',115,30,'.Require(data[0],',557,'.asynchronous',');throw "restart";},Frac',157,110,'num',526,512,490,'den',526,512,';}',484,'Fraction("over",num,den));},Sqrt',157,110,'n',82,257,512,490,'arg',526,512,';}var box=jsMath.mItem.Atom("radical",arg);','if(n!=""){box.root',82,107,'(n);',231,';}}',112,'Add(box);},','Root',157,110,'n',82,440,'(',186,'name,"of");',231,490,'arg',526,512,591,'box.root=n;',112,599,'BuildRel',157,110,'top',82,440,'(',186,'name,"over");',231,490,'bot',526,512,490,'op=',115,'mItem.Atom("','op",bot);op.limits=1;op.sup=top;',112,'Add(op);},MakeBig',157,',data){var ','type=data[0];var h=data[1]*',115,'p_height;var _30a',82,272,512,';}',484,'Atom(type,',115,'Box.Delimiter(h,_30a,"T")));},Char',157,110,'font',82,156,512,490,'n',82,156,512,';}if(!','jsMath.TeX[font',']){',664,']=[];this.',30,552,'jsMath.Font.URL(font',')]);}else{',484,'Typeset(',115,'Box.TeX(n-0,font,"T",',112,119,')));}},Matrix',157,',_30f',110,'data=',112,113,'var arg',82,156,512,490,'_312','=new jsMath.Parser(arg+this.cmd+"\\\\",null,data.size,','_30f[5]||"T");_312.matrix=name;_312.row=[];_312.table=[];_312.rspacing=[];_312.Parse();if(_312',86,123,'_312);',549,'_312','.HandleRow(name,1);var box=jsMath.Box.Layout(data.size,','_312.table,_30f[2]||null,_30f[3]||null,_312.rspacing,_30f[4]||null);if(_30f[0]&&_30f[1]){var left','=jsMath.Box.Delimiter(box.h+box.d-jsMath.hd/4,this.delimiter[','_30f[0]],"T");var _315',700,'_30f','[1]],"T");box=jsMath.Box.SetList([left,box,','_315],','data.style,data.size',');}',484,'Atom((_30f','[0]?"inner":"ord"),box));},','HandleEntry',157,'){','if(!this.','matrix){',123,'name+" can only appear in a matrix or array");return;}if(',112,'data.openI',559,'var open=',112,'Get(',112,719,');if(open','.left){',167,168,' "+this.cmd+"right','");}else{',167,222,'");}}if(',112,'data.overI',559,112,'Over();}var data=',112,113,112,'Atomize(',706,');var box=',112,673,706,');box.entry=data.entry;delete data.entry;if(!box.entry){box.entry={};}this.row[','this.row.length',']=box;this.mlist=new ',115,'mList(null,null,',119,120,');},HandleRow',157,',last',110,'_31c;',714,'matrix){',123,186,717,'name=="\\\\"){_31c',82,257,512,';}if(_31c){','_31c',82,315,'(_31c,',186,'name,0,1);}}this.',711,'(',230,'if(!last||',750,'>1||this.row[0].format!="null"){this.table[this.table','.length]=this.','row',770,'this.rspacing[this.table.length',']=_31c;}this.row=[];},HandleNoAlign',157,227,156,512,490,'skip=arg.replace(/^.*(vskip|vspace)([^a-z])/i,"$2");if(skip.length==arg',164,549,'var d',82,315,'(skip,',186,'RegExp.$1,0',506,231,';}',786,']=(',786,']||0)+d;},Array',157,',_322',110,'_323=_322[2];var _324=_322[3];if(!_323){_323',82,156,463,'begin{"+name+"}");',231,';}}_323=_323.replace(/[^clr]/g,"");_323=_323.split("");var data=',112,113,'var _326=_322[5]||"T";var arg',82,449,'(',230,231,490,'_328',691,'_326);_328.matrix=name;_328.row=[];_328.table=[];_328.rspacing=[];_328.Parse();if(_328',86,123,'_328);',549,'_328',698,'_328.table,_323,_324,_328.rspacing,_322[4],_322[6],_322[7]);if(_322[0]&&_322[1]){var left',700,'_322[0]],"T");var _32b',700,'_322',704,'_32b],',706,');}',484,'Atom((_322',710,'Begin',157,110,'env',82,156,512,';}if(env.match(/[^a-z*]/i)){',167,'Invalid',' environment',' name',' \\""+env+"\\"");return;}',714,45,'[env]){',167,'Unknown',859,861,'var cmd',82,45,'[env];',99,'cmd',')=="string"){','cmd=[cmd];}this[cmd[0]](env,cmd.slice(1));},End',157,110,'env',82,156,512,';}',123,186,'name+"{"+env+"} without matching "+this.cmd+"begin");},Spacer',157,',w){',484,'Space(w-0));},Hskip',157,110,'w',82,299,512,';}',484,'Space(w));},HBox',157,'){var text=this.',156,512,';}','var box=jsMath.','Box.InternalMath(text,',112,119,');',484,673,'box));},Rule',157,',_339',110,'w',505,506,231,490,'h',505,506,231,490,'d',505,506,231,';}h+=d;var html;if(h!=0){h=Math.max(1.05/',115,'em,h);}if(h==0||w==0||_339=="blank"){html=','jsMath.HTML.','Blank(w,h);}else{html=',933,'Rule(w,h);}if(d){html="<span style=\\"','vertical-align:"+',933,'Em(-d)+"\\">"+','html+"</span','>";}',484,673,'new ',115,'Box("html",html,w,h-d,d)));},Strut',73,146,'size=',112,119,';',905,'Box.Text("","normal","T",size).Styled();box.bh=box.bd=0;box.h=0.8;box.d=0.3;box.w=0;',484,673,'box));},Phantom',157,640,'arg',526,512,';}',112,516,'phantom",{phantom:arg,v:data[0],h:data[1]}));},Smash',157,640,'arg',526,512,';}',112,516,'smash",{smash:arg}));},MathAccent',157,',_347',110,'c',526,512,490,132,115,635,'accent",c);atom.accent=_347[0];',112,'Add(atom);},NamedOp',157,640,'a=(name.match(/[^acegm-su-z]/))?1:0;var d=(name.match(/[gjpqy]/))?0.2:0;if(data[1]){name=data[1];}',905,'mItem.TextAtom("op",name,"cmr10",a,d);if(data[0]!=null){box.limits=data[0];}',112,599,'Limits',157,640,132,112,'Last();if(!atom||atom.type!="op"){',123,186,'name+" is allowed only on operators");',549,'atom.limits=data[0];},',13,157,640,'text=data[0];if(data[1]){var args=[];','for(var i=0;i<','data[1];i++){args[args',783,156,512,';}}text',82,'SubstituteArgs','(args,text);}',163,82,'AddArgs(','text,',148,149,'this.i=0;},',1018,73,'(args,_358',110,'text="";var _35a="";var c;var i','=0;while(i<','_358',164,'c=','_358.charAt(i','++);',203,'text+=c+',1036,'++);}else{if(c=="#"){c=',1036,'++);if(','c=="#"){text+=c;}else{if(!c.match(/[1-9]/)||c>args',164,167,'Illegal ','macro parameter ','reference");',125,'_35a',82,1022,'this.AddArgs(_35a,text','),args[c-1]);text="";}}else{text+=c;}}}',94,1054,');},AddArgs',73,'(s1,s2){if(s2.match(/^[a-z]/i)&&s1.match(/(^|[^\\\\])(\\\\\\\\)*\\\\[a-z]+$/i)){s1+=" ";}',94,'s1+s2;},Replace',157,556,484,'TextAtom(data[0],data[1],data[2],data[3]));},Hash',157,'){',167,'You can\'t use \'',1048,'character #\' in math mode");},Tilde',157,'){',484,'TextAtom("ord','","&nbsp;","normal"));},HandleLap',157,110,'box',526,'();',231,';}box=',112,516,'lap",{nuc:box,lap:name}));},HandleAtom',157,640,'arg',526,512,';}',484,'Atom(data[0],arg));},HandleMathCode',157,',code','){this.HandleTeXchar(','code[0],code[1],code[2]);},HandleTeXchar',73,'(type,font,code){if(type==7&&',112,117,559,'font=',112,117,';}font=',338,'fam[font];if(!',664,']){',664,']=[];this.',30,552,670,')]);}else{',484,'TeXAtom(',338,'atom[type],code,font));}},','HandleVariable',73,'(c',1098,'7,1',',c.charCodeAt(0));},','HandleNumber',73,'(c',1098,'7,0',1128,'HandleOther',73,'(c){',484,1076,'",c,"normal"));},HandleComment',73,146,'c;',160,199,'c=',95,1043,'c=="\\r"||c=="\\n"){return;}}},HandleStyle',157,',_372){',112,'data.style=_372[0];',112,516,'style",{style:_372[0]}));},HandleSize',157,',size){',112,119,'=size[0];',112,516,'size",{size:size[0]}));},HandleFont',157,',font){',112,117,'=font[0];},HandleCS',73,146,'cmd',82,144,'();',231,';}if(this.macros[cmd]){var _378',82,'macros[cmd];',99,'_378',875,'_378=[_378];}this[_378[0]](cmd,_378.slice(1));',549,'if(','this.mathchardef[cmd',']){this.HandleMathCode(','cmd,',1186,']);',549,'if(',290,186,'cmd',1187,'cmd,',290,186,'cmd].slice(0,3));',549,167,'Unknown control sequence \'"+',186,'cmd+"\'");},HandleOpen',73,'(){',112,'Open();},HandleClose',73,'(){if(',112,719,'==null){',167,177,'");',549,'var open=',112,'Get(',112,719,');if(!open||','open.left',1214,112,'Close();}else{',167,177,' or missing',730,'");return;}},HandleLeft',157,110,'left',82,272,512,';}',112,'Open(left);},HandleRight',157,110,'_37d',82,272,512,490,'open=',112,'Get(',112,719,726,'&&',1225,559,112,'Close(_37d);}else{',167,'Extra open brace or missing "+this.cmd+"left");}},HandleOver',157,556,'if(',112,736,559,167,'Ambiguous use of "+',186,230,549,112,736,'=',112,'Length();',112,'data.overF={name:name};if(data.length>0){',112,'data.overF.','left=',290,'data[0]];',112,1282,'right=',290,'data[1]];}else{if(name.match(/withdelims$/)){',112,1282,'left',82,272,512,';}',112,1282,'right',82,272,512,';}}else{',112,1282,'left=null;',112,1282,1288,'null;}}if(name.match(/^above/)){',112,1282,'thickness',505,506,231,1304,112,1282,'thickness=null;}},HandleSuperscript',73,146,'base=',112,134,112,736,'==',112,'Length()){base=null;}if(base==null||(!base',136,480,'box"&&',480,'frac")){base=',484,485,486,'if(',500,'){base=',484,485,'else{',167,'Double exponent',489,';}}base.sup',82,234,'("superscript");',231,';}},HandleSubscript',73,146,'base=',112,134,112,736,'==',112,'Length()){base=null;}if(base==null||(!base',136,480,'box"&&',480,'frac")){base=',484,485,'if(base.sub){',167,'Double subscripts',489,';}base.sub',82,234,'("subscript");',231,';}},Parse',73,146,'c;',160,199,'c=',95,1043,'this.mathchar[c',1187,'c,',1390,']);}else{if(this',77,'c]){this[this',77,'c]](c',');}else{if(','this.letter','.test(c)){this.',1123,'(c',1399,'this.number',1401,1129,'(c);}else{this.',1135,'(c);}}}}}if(',112,719,559,'var open=',112,'Get(',112,719,726,'.left){',167,168,730,731,167,222,'");}}if(',112,736,559,112,'Over();}},Atomize',73,146,'data=',112,'init;if(!this',86,112,743,706,');}},Typeset',73,146,'data=',112,'init;var box',82,'typeset=',112,673,706,');',231,' "<','span class=\\"','error\\">"+',87,'+"</span>";}if(box.format=="null"){return "";}box.Styled().Remeasured();var _388=0;var _389','=0;if(box.bh>','box.h&&box.bh>',115,'h','+0.001){_388=1;}if(box.','bd>box.d&&box.bd>',115,'d',1464,'h>',115,'h||box.d>',115,'d){_389=1',490,'html=box.html;if(_388){if(','jsMath.Browser.','allowAbsolute',110,'y',1460,115,'h+0.001){y=',115,'h-box.bh;}html=',933,'Absolute(html,box.w,',115,'h,0,y,',115,'h',1399,1476,'valignBug){','html="<span style=\\"line-height:"+jsMath.HTML.Em(jsMath.d',')+";\\">"+',940,'>";}else{var dy=',933,'Em(Math.max(0,box.bd-',115,'hd)/3);',1494,')+";"+" position:relative; top:"+dy+"; ',937,'dy+"\\">"+',940,'>";}}_389=1;}if(_389){html+=',933,'Blank(0,box.h+0.05,box.d+0.05);}return "<nobr><',1456,'scale\\">"+',940,'></nobr>";}});',76,'.AddSpecial({cmd:"HandleCS",open:"HandleOpen",close:"HandleClose"});','jsMath.Add(jsMath,{',13,157,110,'_38e=',76,'.macros;','_38e','[name]=["',13,'"];for(var i=1;i<arguments.',84,'i++){_38e[name][_38e[name].length]=arguments[i];}}});',115,30,'={safeRequire:1,',13,157,',file',110,'_392=',76,1522,'if(file',1214,'file=name;}_392',1524,30,'",file];},LaTeX',73,'(env,file',110,'_395=',76,'.',45,';_395[env]=["',30,'",file,"',45,'"];},Font',157,1166,'if(font',1214,'font=name+"10";}var _398=',76,1522,'_398',1524,30,'",',670,')];},MathChar',73,'(font,defs',110,'fam=',338,'famName[font','];if(fam',1214,1573,338,'fam.',84,338,'fam[fam]=font;',338,1575,']=fam',490,'_39c=',76,'.mathchardef;for(var c in defs){_39c[c]=[defs[c][0],fam,defs[c][1]];}},Require',73,'(file,show){if(this.safeRequire&&(file.match(/\\.\\.\\/|[^-a-z0-9.\\/:_+=%~]/i)||(file.match(/:/)&&file.substr(0,',115,'root.length)!=',115,'root))){',546,547,']=1;',549,546,'Script(this.URL(file),show);},URL',73,'(file){file=file',105,'+$/g,"");if(!file.match(/^([a-z]+:|\\/|fonts|extensions\\/)/i)){file="extensions/"+file;}if(!file.match(/\\.js$/)){file+=".js";}',94,'file;}};',1516,107,73,74,546,'Body();','jsMath.Script.','Push(',557,',"','Asynchronous','",obj);},ProcessBeforeShowing',73,74,546,1614,'var _3a3=(','jsMath.Controls.cookie.','asynch?"',1619,'":"','Synchronous','");',1615,1616,557,',_3a3,obj);}});',557,'={element:[],cancel:0,Parse',73,'(_3a4,s,_3a6',110,'_3a7=',115,'Global.','cache[_3a4];if(!','_3a7[jsMath.em',']){',1645,']={};}var HTML=',1645,'][s];if(!HTML||_3a6',110,'_3a9=',115,'Parse(s,null,null,_3a4);_3a9.Atomize();HTML=_3a9.Typeset();if(!_3a6){',1645,'][s]=HTML;}}',94,'HTML;},TextMode',73,'(s,_3ab){this.Parse("T",s,_3ab);},DisplayMode',73,'(s,_3ad){this.Parse("D",s,_3ad);},','GetElementText',73,'(_3ae',901,'recursiveElementText','(_3ae);_3ae.alt=text;if(text.search("&")>=0){','text=text.replace(/&','lt;/g,"<");',1669,'gt;/g,">");',1669,'quot;/g,"\\"");',1669,'amp;/g,"&");}',94,'text;},',1667,73,'(_3b0){if(','_3b0.nodeValue',559,94,1682,';}if(','_3b0.childNodes.length','==0){return " ";}var text="";',1011,1687,';i++){text+=this.',1667,'(_3b0.childNodes[i]);}',94,1678,'ResetHidden',73,'(_3b3){_3b3.innerHTML="<',1456,'jsMath_hiddenSpan\\" style=\\"position:absolute\\"></span>"+',1476,'operaHiddenFix;_3b3.className="";',115,'hidden','=_3b3.firstChild;if(!',115,'BBoxFor("x").w){','jsMath.hidden=jsMath.hiddenTop',';}',115,'ReInit();},','ConvertText',73,'(_3b4,_3b5',901,1663,'(_3b4',');this.ResetHidden(','_3b4',');if(text.match(/^\\s*\\\\nocache([^a-zA-Z])/)){','_3b5','=true;text=text.replace(/\\s*\\\\nocache/,"");}text=this.Parse("','T",text,_3b5);_3b4','.className="typeset";','_3b4','.innerHTML=text;},','ConvertDisplay',73,'(_3b7,_3b8',901,1663,'(_3b7',1718,'_3b7',1720,'_3b8',1722,'D",text,_3b8);_3b7',1724,'_3b7',1726,'ProcessElement',73,'(_3ba){','this.restart','=0;var _3bb=(','_3ba.className','.toLowerCase().match(/(^| )nocache( |$)/)!=null);try','{if(_3ba.tagName.toLowerCase()=="','div"){this.',1727,'(_3ba,_3bb);_3ba.onclick=jsMath.Click.CheckClick;_3ba.ondblclick=jsMath.Click.CheckDblClick',';}else',1749,'span"){this.',1712,1752,';}}}catch(err){if(_3ba.alt',110,'tex=_3ba.alt;','tex=tex.replace','(/&/g,"&amp;");',1761,'(/</g,"&lt;");',1761,'(/>/g,"&gt;");_3ba.innerHTML=tex;',1747,'="math";if(_3bb){',1747,'+=" nocache";}}',1708,';}},','ProcessElements',73,'(k){',1615,'blocking=','1;if(k>=','this.element.length','||','this.cancel','){this.','ProcessComplete','();if(',1781,'){','jsMath.Message.','Set("',107,' Math: Canceled");',1787,'Clear();}',1615,1777,'0;',1615,107,'();}else{','this.ProcessElement(this.element[','k]);if(',1745,'){',1615,1616,'this,"',1773,'",k);',1615,1777,'0;setTimeout("',1615,107,'()",',1476,'delay);}else{k++;var p=Math.floor(100*k/',1779,');','jsMath.Message.Set("Processing Math',': "+p+"%");setTimeout("',557,'.',1773,'("+k+")",',1476,'delay);}}},',1619,73,'(obj','){if(!jsMath.initialized){jsMath.Init();}this.element=this.GetMathElements(obj);',1781,'=0;this',567,'=1;',1615,1777,'1;',1818,': 0%",1);setTimeout("',557,'.',1773,'(0)",',1476,'delay);},',1630,73,'(obj,i){if(i==null',1829,'i=0;}this',567,1032,1779,'){',1799,'i]);if(',1745,'){',115,'Synchronize','("',557,'.',1630,'(null,"+i+")");',1615,107,'();',549,'i++;}this.',1783,'(1);},GetMathElements',73,74,'var _3c3=[];if(!obj){obj=','jsMath.document',';}',99,'obj',875,'obj=',1875,'.getElementById(obj);}if(!','obj.getElementsByTagName','){',125,'var math=',1883,'("div','");for(var k=0;k<math.length;k++){if(math[k].className&&math[k].className.match(/(^| )math( |$)/)){if(jsMath.Browser.renameOK&&obj.getElementsByName){math[k].setAttribute("name","_jsMath_");}else{_3c3[_3c3.length]=math[k];}}}','math=',1883,'("span',1889,'if(',1476,'renameOK','&&obj','.getElementsByName','){_3c3=obj',1898,'("_jsMath_',731,'if(',115,1704,'.sourceIndex','){_3c3.sort(function(a,b){',94,'a',1906,'-b',1906,';});}}',94,'_3c3;},',1783,73,'(_3c9){if(',1476,1896,110,'_3ca=',1875,1898,1901,'");for(var i=_3ca.length-1;i>=0;i--){_3ca[i].removeAttribute("name");}}',1708,';this.element=[];if(!_3c9){',1818,': Done");',1787,'Clear();}',1787,'UnBlank();if(',1476,'safariImgBug&&(',1626,'font=="symbol"||',1626,'font=="image")){if(','this.timeout','){clearTimeout(',1941,');}',1941,'=setTimeout("','jsMath.window.resizeBy','(-1,0); "+"',1947,'(1,0); "+"',557,'.timeout = null",2000);}},Cancel',73,'(){',557,'.cancel=1;if(',1615,'cancelTimer){',1615,'cancelLoad();}}};',1516,'ConvertTeX',73,'(_3cc){',1615,'Push(jsMath.tex2math,"',1962,'",_3cc);},','ConvertTeX2',73,'(_3cd){',1615,1966,1969,'",_3cd);},','ConvertLaTeX',73,'(_3ce){',1615,1966,1976,'",_3ce);},','ConvertCustom',73,'(_3cf){',1615,1966,1983,'",_3cf);},','CustomSearch',73,'(om,cm,od,cd','){',1615,1616,'null,function(){',115,'tex2math.',1990,1992,');});},tex2math:{',1962,73,470,1969,73,470,1976,73,470,1983,73,470,1990,73,'(){}}});',115,1859,'=',1615,1859,';try{if(','window.parent','!=window&&window.jsMathAutoload){',2023,'.jsMath=jsMath;',1875,'=',2023,'.document;',115,'window=',2023,';}}catch(err){}',115,1643,'Register();',115,'Loaded();',115,'Controls.GetCookie();',546,'Source();',115,1643,'Init();',1615,'Init();',546,'Fonts();if(',1875,'.body){',546,'Body();}',546,'User("onload");}}']
]);
//end = new Date().getTime();
//alert(end-start);
